﻿//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Collections.Generic;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

using DotShoppingCart.OpenSource.Core;

public partial class Admin_BlockConditionsEdit : DSCPage {
    private int blockId;
    private string returnUrl;

    protected void Page_Load(object sender, EventArgs e) {
        List<object> values = new List<object>();
        values.Add( new { Name = true.ToString(), Value = true.ToString() } );
        values.Add( new { Name = false.ToString(), Value = false.ToString() } );

        List<ConditionProperty> properties = new List<ConditionProperty>() {
                new ConditionProperty() { Name = "DiscountGroup", Type = ConditionValueType.List, Data = values },
                new ConditionProperty() { Name = "HTTPS", Type = ConditionValueType.List, Data = values },
        };
        editor.Properties = properties;

        blockId = Utils.GetIntParameter("id");
        returnUrl = Utils.GetParameter("returnurl");

        if (!IsPostBack) {
            btnCancel.OnClientClick = string.Format("javascript:window.location.href=\"{0}\";return false;", returnUrl);
            Block b = Block.GetById(blockId);
            if (null != b.Conditions)
                editor.Conditions = Utils.FromXml<List<Condition>>(b.Conditions.ToString());
        }
    }

    protected void btnSave_Click(object sender, EventArgs e) {
        object data = null;
        if ((null != editor.Conditions) && (editor.Conditions.Count > 0))
            data = editor.Conditions;

        using (DSCDataContext dc = DBController.GetDataContext()) {
            Block block = dc.Blocks.Single(b => b.BlockId == blockId);
            block.Conditions = null == data? null : data.ToXElement();
            dc.SubmitChanges();
        }
        Response.Redirect(returnUrl);
    }
}