<%@ Page Language="C#" MasterPageFile="~/Admin.master" AutoEventWireup="true" CodeFile="Attributes.aspx.cs" Inherits="Admin_Catalog_Attributes" Title="Untitled Page" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <asp:GridView id="gvwAttributeList" runat="server" autogeneratecolumns="false" datakeynames="AttributeId" 
        onrowediting="gvwAttributeList_RowEditing" onrowdeleting="gvwAttributeList_RowDeleting">
        <Columns>
            <asp:BoundField headertext="Attribute Name" datafield="Name" readonly="true" />
            <asp:BoundField headertext="Required" datafield="IsRequired" readonly="true" />
            <asp:TemplateField headertext="Selection Type">
                <ItemTemplate>
                    <%# Eval("SelectionType.Type")%>
                </ItemTemplate>
            </asp:TemplateField>
            <asp:TemplateField headertext="Display Control">
                <ItemTemplate>
                    <%# Eval("DisplayControl.Type")%>
                </ItemTemplate>
            </asp:TemplateField>
            <asp:TemplateField>
                <ItemTemplate>
                    <asp:Button id="btnEdit" runat="server" text="Edit" commandname="Edit" causesvalidation="false" />
                    <asp:Button id="btnDelete" runat="server" text="Delete" commandname="Delete" causesvalidation="false" />
                    <ajaxc:ConfirmButtonExtender ID="cbeDeleteConfirm" runat="server" targetcontrolid="btnDelete" confirmtext='Are you sure you want to delete this Attribute?' />
                </ItemTemplate>
            </asp:TemplateField>
        </Columns>
        <EmptyDataTemplate>
            No attribute exists. Please use the following form to add attribute.
        </EmptyDataTemplate>
    </asp:GridView>
    <h4><asp:Label id="lblMessage" runat="server"></asp:Label></h4>
    <asp:DetailsView id="dvwAttribute" runat="server" autogeneraterows="false" datakeynames="AttributeId" defaultmode="Insert"
        oniteminserting="dvwAttribute_ItemInserting" onitemupdating="dvwAttribute_ItemUpdating">
        <Fields>
            <asp:TemplateField headertext="Attribute Name:" headerstyle-width="120px">
                <ItemTemplate>
                    <%# Eval("Name") %>
                </ItemTemplate>
                <EditItemTemplate>
                    <span class="sign">*</span>
                    <asp:TextBox id="txtAttributeName" runat="server" width="400px" text='<%# Bind("Name") %>'></asp:TextBox>
                    <asp:RequiredFieldValidator id="rfvAttributeName" runat="server" controltovalidate="txtAttributeName" validationgroup="ValidationGroupAttribute"
                        errormessage="Attribute Name is required." text="*" />
                </EditItemTemplate>
            </asp:TemplateField>
            <asp:TemplateField headertext="Required:">
                <ItemTemplate>
                    <asp:CheckBox id="chkRequired" runat="server" checked='<%# Eval("IsRequired") %>' enabled="false" />
                </ItemTemplate>
                <EditItemTemplate>
                    <span class="sign">&nbsp;</span>
                    <asp:CheckBox id="chkRequired" runat="server" checked='<%# Bind("IsRequired") %>' />
                </EditItemTemplate>
            </asp:TemplateField>
            <asp:TemplateField headertext="Selection Type:">
                <ItemTemplate>
                    <%# Eval("SelectionType.Type")%>
                </ItemTemplate>
                <EditItemTemplate>
                    <span class="sign">*</span>
                    <asp:ObjectDataSource id="odsSelectionType" runat="server" typename="DotShoppingCart.OpenSource.Core.SelectionType" selectmethod="GetAll">
                    </asp:ObjectDataSource>
                    <asp:DropDownList id="ddlSelectionType" runat="server" datasourceid="odsSelectionType" datatextfield="Type" datavaluefield="SelectionTypeId"
                        selectedvalue='<%# Eval("SelectionType.SelectionTypeId") %>' width="400px">
                    </asp:DropDownList>
                </EditItemTemplate>
                <InsertItemTemplate>
                    <span class="sign">*</span>
                    <asp:ObjectDataSource id="odsSelectionType" runat="server" typename="DotShoppingCart.OpenSource.Core.SelectionType" selectmethod="GetAll">
                    </asp:ObjectDataSource>
                    <asp:DropDownList id="ddlSelectionType" runat="server" datasourceid="odsSelectionType" datatextfield="Type" datavaluefield="SelectionTypeId"
                        width="400px">
                    </asp:DropDownList>
                </InsertItemTemplate>
            </asp:TemplateField>
            <asp:TemplateField headertext="Display Control:">
                <ItemTemplate>
                    <%# Eval("DisplayControl.Type") %>
                </ItemTemplate>
                <EditItemTemplate>
                    <span class="sign">*</span>
                    <asp:ObjectDataSource id="odsDisplayControl" runat="server" typename="DotShoppingCart.OpenSource.Core.DisplayControl" selectmethod="GetAll">
                        <SelectParameters>
                            <asp:ControlParameter name="selectionTypeId" controlid="ddlSelectionType" propertyname="SelectedValue" />
                        </SelectParameters>
                    </asp:ObjectDataSource>
                    <asp:DropDownList id="ddlDisplayControl" runat="server" datasourceid="odsDisplayControl" datatextfield="Type" datavaluefield="DisplayControlId"
                        selectedvalue='<%# Eval("DisplayControl.DisplayControlId") %>' width="400px">
                    </asp:DropDownList>
                </EditItemTemplate>
                <InsertItemTemplate>
                    <span class="sign">*</span>
                    <asp:ObjectDataSource id="odsDisplayControl" runat="server" typename="DotShoppingCart.OpenSource.Core.DisplayControl" selectmethod="GetAll">
                        <SelectParameters>
                            <asp:ControlParameter name="selectionTypeId" controlid="ddlSelectionType" propertyname="SelectedValue" />
                        </SelectParameters>
                    </asp:ObjectDataSource>
                    <asp:DropDownList id="ddlDisplayControl" runat="server" datasourceid="odsDisplayControl" datatextfield="Type" datavaluefield="DisplayControlId"
                        width="400px">
                    </asp:DropDownList>
                </InsertItemTemplate>
            </asp:TemplateField>
            <asp:TemplateField headertext="Description:">
                <ItemTemplate>
                    <%# Eval("Description")%>
                </ItemTemplate>
                <EditItemTemplate>
                    <span class="sign">&nbsp;</span>
                    <asp:TextBox id="txtDescription" runat="server" textmode="MultiLine" width="400px" rows="5" text='<%# Bind("Description")%>'></asp:TextBox>
                </EditItemTemplate>
            </asp:TemplateField>
            <asp:TemplateField showheader="false">
                <EditItemTemplate>
                    <asp:Button id="btnUpdate" runat="server" text="Update" commandname="Update" validationgroup="ValidationGroupAttribute" />
                    <asp:Button id="btnCancel" runat="server" text="Cancel" onclick="btnCancel_Click" causesvalidation="false" />
                </EditItemTemplate>
                <InsertItemTemplate>
                    <asp:Button id="btnInsert" runat="server" text="Add" commandname="Insert" validationgroup="ValidationGroupAttribute" />
                </InsertItemTemplate>
            </asp:TemplateField>
        </Fields>
    </asp:DetailsView>  
</asp:Content>

