<%@ Page Language="C#" MasterPageFile="~/Admin.master" AutoEventWireup="true" CodeFile="Categories.aspx.cs" Inherits="Admin_Catalog_Categories" Title="Untitled Page" %>
<%@ Register tagprefix="dsc" tagname="ImageUploader" src="~/Admin/Controls/UploadImages.ascx" %>
<%@ Register tagprefix="dsc" tagname="TransitionalLabel" src="~/Controls/TransitionalLabel.ascx" %>
<%@ Register tagprefix="dsc" tagname="NumberTextBox" src="~/Controls/NumberTextBox.ascx" %>

<%@ Import namespace="DotShoppingCart.OpenSource.Core" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <div style="margin-top:5px;">
        <div>
            <div style="margin-bottom:10px;">Categories:</div>
            <asp:TreeView id="tvwCategory" runat="server" pathseparator="/" expanddepth="1"
                onselectednodechanged="tvwCategory_SelectedNodeChanged">
            </asp:TreeView>
        </div>
        <asp:Panel id="pnlEmptyManufacturer" runat="server">
            No category exists. Please use the following form to add category.
        </asp:Panel>
    </div>
    <h4><asp:Label id="lblMessage" runat="server"></asp:Label></h4>
    <asp:ValidationSummary id="VdlidationSummaryCategory" runat="server" headertext="<b>The following error(s) were found:</b>" showsummary="true" validationgroup="ValidationGroupCategory" />
    <asp:ObjectDataSource id="odsCategoryDetail" runat="server" typename="DotShoppingCart.OpenSource.Core.Category" oninserted="odsCategoryDetail_Inserted"
        selectmethod="GetCategoryForDataBind" updatemethod="Update" deletemethod="Delete" insertmethod="Add" >
        <SelectParameters>
            <asp:ControlParameter name="categoryId" type="Int32" defaultvalue="-1" controlid="tvwCategory" propertyname="SelectedValue" />
        </SelectParameters>
    </asp:ObjectDataSource>
    <asp:ObjectDataSource id="odsAllCatetoriesExcludeSelf" runat="server" typename="DotShoppingCart.OpenSource.Core.Category" selectmethod="GetAll">
        <SelectParameters>
            <asp:ControlParameter name="categoryIdExcludeChildren" controlid="tvwCategory" propertyname="SelectedValue" />
        </SelectParameters>
    </asp:ObjectDataSource>
    <asp:ObjectDataSource id="odsAllCatetories" runat="server" typename="DotShoppingCart.OpenSource.Core.Category" selectmethod="GetAll">
    </asp:ObjectDataSource>
    <asp:DetailsView id="dvwCategory" runat="server" datasourceid="odsCategoryDetail" datakeynames="CategoryId"
        onitemupdated="dvwCategory_ItemUpdated" onitemdeleted="dvwCategory_ItemDeleted" oniteminserted="dvwCategory_ItemInserted"
        ondatabound="dvwCategory_DataBound" autogeneraterows="false">
        <Fields>
            <asp:TemplateField headertext="Category Name:">
                <ItemTemplate>
                    <%# Eval("Name") %>
                </ItemTemplate>
                <EditItemTemplate>
                    <span class="sign">*</span>
                    <asp:TextBox id="txtCategoryName" runat="server" text='<%# Bind("Name") %>' width="300px" />
                    <asp:RequiredFieldValidator id="RequiredFieldValidator1" runat="server" controltovalidate="txtCategoryName" 
                        validationgroup="ValidationGroupCategory" errormessage="Category Name is a required field">*</asp:RequiredFieldValidator>
                </EditItemTemplate>
                <InsertItemTemplate>
                    <span class="sign">*</span>
                    <asp:TextBox id="txtCategoryName" runat="server" text='<%# Bind("Name") %>' width="300px" />
                    <asp:RequiredFieldValidator id="RequiredFieldValidator1" runat="server" controltovalidate="txtCategoryName" 
                        validationgroup="ValidationGroupCategory" errormessage="Category Name is a required field">*</asp:RequiredFieldValidator>
                    <asp:CustomValidator id="cvdNameExist" runat="server" onservervalidate="cvdNameExist_ServerValidate" validationgroup="ValidationGroupCategory"
                        errormessage="Category Name already exists. Please use a different Category Name.">*</asp:CustomValidator>
                </InsertItemTemplate>
            </asp:TemplateField>
            <asp:TemplateField headertext="Parent Category:" convertemptystringtonull="true">
                <ItemTemplate>
                    <%# Eval("ParentFullPath")%>
                </ItemTemplate>
                <EditItemTemplate>
                    <span class="sign">*</span>
                    <asp:DropDownList id="ddlCategoryParent" runat="server" datasourceid="odsAllCatetoriesExcludeSelf" datatextfield="FullPath" datavaluefield="CategoryId" 
                        appenddatabounditems="true" selectedvalue='<%# Bind("ParentId") %>' width="300px" >
                        <asp:ListItem text="<Top Level>" value=""></asp:ListItem>
                    </asp:DropDownList>
                </EditItemTemplate>
                <InsertItemTemplate>
                    <span class="sign">*</span>
                    <asp:DropDownList id="ddlCategoryParent" runat="server" datasourceid="odsAllCatetories" datatextfield="FullPath" datavaluefield="CategoryId" 
                        appenddatabounditems="true" selectedvalue='<%# Bind("ParentId") %>' width="300px">
                        <asp:ListItem text="<Top Level>" value=""></asp:ListItem>
                    </asp:DropDownList>
                </InsertItemTemplate>
            </asp:TemplateField>
            <asp:TemplateField headertext="Image:" convertemptystringtonull="true">
                <ItemTemplate>
                    <dsc:ImageUploader id="iupCategoryImage" runat="server" imageid='<%# Bind("imageId") %>' multiimages="false" showdefaultimagecolumn="false" showtitle="false"></dsc:ImageUploader>
                </ItemTemplate>
                <EditItemTemplate>
                    <table cellspacing="0">
                        <tr>
                            <td><span class="sign">&nbsp;</span></td>
                            <td><dsc:ImageUploader id="iupCategoryImage" runat="server" imageid='<%# Bind("imageId") %>' multiimages="false" showdefaultimagecolumn="false" showtitle="false" readonly="false" ></dsc:ImageUploader></td>
                        </tr>
                    </table>
                </EditItemTemplate>
            </asp:TemplateField>
            <asp:TemplateField headertext="Description:" convertemptystringtonull="true">
                <ItemTemplate>
                    <%# Eval("Description") %>
                </ItemTemplate>
                <EditItemTemplate>
                    <span class="sign">&nbsp;</span>
                    <asp:TextBox id="txtDescription" runat="server" text='<%# Bind("Description") %>' textmode="MultiLine" rows="10"  width="300px"></asp:TextBox>
                </EditItemTemplate>
            </asp:TemplateField>
            <asp:TemplateField headertext="Sort Order:">
                <ItemTemplate>
                    <%# Eval("SortOrder")%>
                </ItemTemplate>
                <EditItemTemplate>
                    <span class="sign">&nbsp;</span>
                    <dsc:NumberTextBox id="ntbSortOrder" runat="server" text='<%# Bind("SortOrder") %>' width="300px" />
                </EditItemTemplate>
            </asp:TemplateField>
            <asp:TemplateField headertext="Expand Depth:">
                <ItemTemplate>
                    <%# Eval("ShowLevels")%>
                </ItemTemplate>
                <EditItemTemplate>
                    <span class="sign">&nbsp;</span>
                    <dsc:NumberTextBox id="ntbShowLevels" runat="server" text='<%# Bind("ShowLevels") %>' width="300px" />
                </EditItemTemplate>
            </asp:TemplateField>
            <asp:TemplateField headertext="Display Useful Links:">
                <ItemTemplate>
                    <asp:CheckBox id="chkUsefulLinks" runat="server" enabled="false" checked='<%# Eval("ShowUsefulLinks") %>'/>
                </ItemTemplate>
                <EditItemTemplate>
                    <span class="sign">&nbsp;</span>
                    <asp:CheckBox id="chkUsefulLinks" runat="server" checked='<%# Bind("ShowUsefulLinks") %>'/>
                </EditItemTemplate>
            </asp:TemplateField>
            <asp:TemplateField headertext="Price Ranges:">
                <ItemTemplate>
                    <asp:Repeater id="rptPriceRanges" runat="server" datasource='<%# Eval("PriceRanges") %>'>
                        <ItemTemplate>
                            <div><%# Container.DataItem.ToString()%></div>
                        </ItemTemplate>
                    </asp:Repeater>
                </ItemTemplate>
                <EditItemTemplate>
                    <span class="sign">&nbsp;</span>
                    <asp:TextBox id="txtPriceRanges" runat="server" text='<%# Bind("PriceRangeList") %>'/>
                    <asp:CustomValidator id="cvdPriceRanges" runat="server" onservervalidate="cvdPriceRanges_ServerValidate" validationgroup="ValidationGroupCategory"
                        errormessage="Price Range values are invalid. They must be digital amount separated by comma.">*</asp:CustomValidator> (Price Amount separated by comma)
                </EditItemTemplate>
            </asp:TemplateField>
            <asp:TemplateField showheader="false">
                <ItemTemplate>
                    <div style="margin-top:5px;">
                        <asp:Button id="btnEdit" runat="server" text="Edit Category" commandname="Edit" />
                        <asp:Button id="btnDelete" runat="server" text="Delete Category" commandname="Delete" />
                        <ajaxc:ConfirmButtonExtender ID="cbeDeleteConfirm" runat="server" TargetControlID="btnDelete" ConfirmText='Are you sure you want to delete this Category?' />
                        <asp:Button id="btnInsert" runat="server" text="Add Category" commandname="New" />
                    </div>
                    <div style="margin-top:5px;">
                        <asp:Button id="btnAddProduct" runat="server" enabled="false" width="400px"
                            onclientclick='<%# string.Format("javascript:window.location.href=\"{0}?cid={1}\";return false;", SiteNavigation.ProductEditPage, Eval("CategoryId")) %>' />
                    </div>
                    <div style="margin-top:5px;">
                        <input type="button" value='Show Products in Category: <%# Eval("Name") %>'' 
                            onclick='<%# string.Format("javascript:window.location.href=\"{0}?cid={1}\";return false;", SiteNavigation.AdminProductsPage, Eval("CategoryId")) %>' 
                            style="width:400px;"
                        />
                    </div>
                </ItemTemplate>
                <EditItemTemplate>
                    <asp:Button id="btnUpdate" runat="server" text="Update" commandname="Update" validationgroup="ValidationGroupCategory" />
                    <asp:Button id="btnCancel" runat="server" text="Cancel" commandname="Cancel" causesvalidation="false" />
                </EditItemTemplate>
                <InsertItemTemplate>
                    <asp:Button id="btnInsert" runat="server" text="Add" commandname="Insert" validationgroup="ValidationGroupCategory" />
                    <asp:Button id="btnCancel" runat="server" text="Cancel" commandname="Cancel" causesvalidation="false" />
                </InsertItemTemplate>
            </asp:TemplateField>
        </Fields>
    </asp:DetailsView>
    <div><dsc:TransitionalLabel id="tlbCategoryStatus" runat="server" cssclass="success" /></div>
</asp:Content>

