<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ProductMiscellaneous.ascx.cs" Inherits="Admin_Controls_ProductMiscellaneous" %>
<%@ Register tagprefix="dsc" tagname="DecimalTextBox" src="~/controls/DecimalTextBox.ascx" %>
<%@ Register tagprefix="dsc" tagname="NumberTextBox" src="~/controls/NumberTextBox.ascx" %>
<%@ Import namespace="DotShoppingCart.OpenSource.Core" %>

<asp:DetailsView id="dvwProductMisc" runat="server" autogeneraterows="false" width="100%">
    <Fields>
        <asp:TemplateField headertext="Product Type:">
            <ItemTemplate>
                <%# Eval("ProductType.Type")%>
            </ItemTemplate>
            <EditItemTemplate>
                <span class="sign">&nbsp;</span>
                <asp:ObjectDataSource id="odsProductType" runat="server" typename="DotShoppingCart.OpenSource.Core.ProductType" selectmethod="GetAll"></asp:ObjectDataSource>
                <asp:DropDownList id="ddlProductType" runat="server" datasourceid="odsProductType" datatextfield="Type" datavaluefield="ProductTypeId" 
                    width="300px" selectedvalue='<%# Bind("ProductTypeId") %>'></asp:DropDownList>
            </EditItemTemplate>
        </asp:TemplateField>
        <asp:TemplateField headertext="Suggested Retail Price:">
            <ItemTemplate>
                <%# Eval("RetailPrice", "{0:c}")%>
            </ItemTemplate>
            <EditItemTemplate>
                <span class="sign">$</span>
                <dsc:DecimalTextBox id="dtbRetailPrice" runat="server" text='<%# Bind("RetailPrice")%>' width="300px" name="Suggested Retail Price" />
            </EditItemTemplate>
        </asp:TemplateField>
        <asp:TemplateField headertext="Sale Price:">
            <ItemTemplate>
                <%# Eval("SalePrice", "{0:c}")%>
            </ItemTemplate>
            <EditItemTemplate>
                <span class="sign">$</span>
                <dsc:DecimalTextBox id="dtbSalePrice" runat="server" text='<%# Bind("SalePrice")%>' width="300px" name="Sale Price" />
            </EditItemTemplate>
        </asp:TemplateField>
        <asp:TemplateField headertext="ManufacturerSKU:">
            <ItemTemplate>
                <%# Eval("ManufacturerSKU")%>
            </ItemTemplate>
            <EditItemTemplate>
                <span class="sign">&nbsp;</span>
                <asp:TextBox ID="txtManufacturerSKU" runat="server" text='<%# Bind("ManufacturerSKU")%>' width="300px" maxlength="50"></asp:TextBox>
            </EditItemTemplate>
        </asp:TemplateField>
        <asp:TemplateField headertext="Cost:">
            <ItemTemplate>
                <%# Eval("Cost", "{0:c}")%>
            </ItemTemplate>
            <EditItemTemplate>
                <span class="sign">$</span>
                <dsc:DecimalTextBox id="dtbCost" runat="server" text='<%# Bind("Cost")%>' width="300px" name="Cost" />
            </EditItemTemplate>
        </asp:TemplateField>
        <asp:TemplateField headertext="Show if out of stock:">
            <ItemTemplate>
                <%# null == Eval("ShowIfOutofStock") ? "Not Set" : ((bool)Eval("ShowIfOutofStock") ? "Yes" : "No") %>
            </ItemTemplate>
            <EditItemTemplate>
                <span class="sign">&nbsp;</span>
                <asp:DropDownList id="ddlShowStock" runat="server" width="300px" selectedvalue='<%# null == Eval("ShowIfOutofStock") ? "" : ((bool)Eval("ShowIfOutofStock") ? "True" : "False") %>'>
                    <asp:ListItem text="Not Set" value=""></asp:ListItem>
                    <asp:ListItem text="Yes" value="True"></asp:ListItem>
                    <asp:ListItem text="No" value="False"></asp:ListItem>
                </asp:DropDownList>
            </EditItemTemplate>
        </asp:TemplateField>
        <asp:TemplateField headertext="Sort Order:">
            <ItemTemplate>
                <%# Eval("SortOrder")%>
            </ItemTemplate>
            <EditItemTemplate>
                <span class="sign">&nbsp;</span>
                <dsc:NumberTextBox id="ntbSortOrder" runat="server" text='<%# Bind("SortOrder")%>' width="300px" name="Sort Order" />
            </EditItemTemplate>
        </asp:TemplateField>
        <asp:TemplateField headertext="Date Created:">
            <ItemTemplate>
                <%# Eval("TimeCreated", "{0:d}")%>
            </ItemTemplate>
            <EditItemTemplate>
                <span class="sign">&nbsp;</span>
                <asp:TextBox id="txtTimeCreated" runat="server" width="300px" text='<%# Bind("TimeCreated")%>' />
                <ajaxc:MaskedEditExtender id="MaskedEditExtender1" runat="server" targetcontrolid="txtTimeCreated" mask="99/99/9999" messagevalidatortip="true"
                    masktype="Date" />
                <ajaxc:MaskedEditValidator id="MaskedEditValidator1" runat="server" controlextender="MaskedEditExtender1" controltovalidate="txtTimeCreated"
                    isvalidempty="true" invalidvaluemessage="Date is invalid" tooltipmessage="Input a Date" />
            </EditItemTemplate>
        </asp:TemplateField>
    </Fields>
</asp:DetailsView>
