//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using DotShoppingCart.OpenSource.Core;

public partial class Admin_Controls_ProductMiscellaneous : System.Web.UI.UserControl {
    public DetailsViewMode Mode {
        get { return dvwProductMisc.CurrentMode; }
        set { dvwProductMisc.ChangeMode(value); }
    }

    private Product product;
    public Product Product {
        get { return product; }
        set { product = value; }
    }

    public int ProductTypeId {
        get {
            DropDownList ddlProductType = (DropDownList)dvwProductMisc.FindControl("ddlProductType");
            return int.Parse(ddlProductType.SelectedValue);
        }
    }

    public string RetailPrice {
        get {
            Controls_DecimalTextBox dtbRetailPrice = (Controls_DecimalTextBox)dvwProductMisc.FindControl("dtbRetailPrice");
            if (string.IsNullOrEmpty(dtbRetailPrice.Text))
                return null;
            return dtbRetailPrice.MoneyValue.ToString();
        }
    }

    public string SalePrice {
        get {
            Controls_DecimalTextBox dtbSalePrice = (Controls_DecimalTextBox)dvwProductMisc.FindControl("dtbSalePrice");
            if (string.IsNullOrEmpty(dtbSalePrice.Text))
                return null;
            return dtbSalePrice.MoneyValue.ToString();
        }
    }
    
    public string ManufacturerSKU {
        get {
            TextBox txtManufacturerSKU = (TextBox)dvwProductMisc.FindControl("txtManufacturerSKU");
            if (null != txtManufacturerSKU)
                return txtManufacturerSKU.Text;
            return null;
        }
    }

    public string Cost {
        get {
            Controls_DecimalTextBox dtbCost = (Controls_DecimalTextBox)dvwProductMisc.FindControl("dtbCost");
            if (string.IsNullOrEmpty(dtbCost.Text))
                return null;
            return dtbCost.MoneyValue.ToString();
        }
    }

    public string ShowIfOutofStock {
        get {
            DropDownList ddlShowStock = (DropDownList)dvwProductMisc.FindControl("ddlShowStock");
            if (null != ddlShowStock)
                return ddlShowStock.SelectedValue;
            return null;
        }
    }

    public string SortOrder {
        get {
            Controls_NumberTextBox ntbSortOrder = (Controls_NumberTextBox)dvwProductMisc.FindControl("ntbSortOrder");
            if (null != ntbSortOrder)
                return ntbSortOrder.Text;
            return null;
        }
    }

    public string TimeCreated {
        get {
            TextBox txtTimeCreated = (TextBox)dvwProductMisc.FindControl("txtTimeCreated");
            if (null != txtTimeCreated)
                return txtTimeCreated.Text;
            return null;
        }
    }

    public override void DataBind() {
        base.DataBind();

        dvwProductMisc.DataSource = new Product[] { product };
        dvwProductMisc.DataBind();
    }
}
