<%@ Page Language="C#" MasterPageFile="~/Admin.master" AutoEventWireup="true" CodeFile="Manufacturer.aspx.cs" Inherits="Admin_Products_Manufacturer" Title="Untitled Page" %>
<%@ Register tagprefix="dsc" tagname="ImageUploader" src="~/Admin/Controls/UploadImages.ascx" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <asp:GridView id="gvwManufacturers" runat="server" autogeneratecolumns="false" datakeynames="ManufacturerId" 
        onrowediting="gvwManufacturers_RowEditing" onrowdeleting="gvwManufacturers_RowDeleting">
        <Columns>
            <asp:BoundField headertext="Name" datafield="Name" />
            <asp:BoundField headertext="Url" datafield="Url" />
            <asp:TemplateField>
                <ItemTemplate>
                    <asp:Button id="btnEdit" runat="server" text="Edit" commandname="Edit" causesvalidation="false" />
                    <asp:Button id="btnDelete" runat="server" text="Delete" commandname="Delete" causesvalidation="false" />
                    <ajaxc:ConfirmButtonExtender ID="cbeDeleteConfirm" runat="server" targetcontrolid="btnDelete" confirmtext='Are you sure you want to delete this manufacturer?' />
                </ItemTemplate>
            </asp:TemplateField>
        </Columns>
        <EmptyDataTemplate>
            No manufacturer exists. Please use the following form to add manufacturer.
        </EmptyDataTemplate>
    </asp:GridView>

    <h4><asp:Label id="lblMessage" runat="server"></asp:Label></h4>
    <asp:ValidationSummary id="vds" runat="server" validationgroup="manufacturer" />
    <asp:DetailsView id="dvwManufacturer" runat="server" autogeneraterows="false" datakeynames="ManufacturerId" defaultmode="Insert"
        oniteminserting="dvwManufacturer_ItemInserting" onitemupdating="dvwManufacturer_ItemUpdating">
        <Fields>
            <asp:TemplateField headertext="Name:" headerstyle-width="100px">
                <ItemTemplate>
                    <%# Eval("Name") %>
                </ItemTemplate>
                <EditItemTemplate>
                    <span class="sign">*</span>
                    <asp:TextBox id="txtName" runat="server" width="400px" text='<%# Bind("Name") %>'></asp:TextBox>
                    <asp:RequiredFieldValidator id="rfvName" runat="server" controltovalidate="txtName" validationgroup="manufacturer"
                        errormessage="Name is required." text="*" />
                </EditItemTemplate>
            </asp:TemplateField>
            <asp:TemplateField headertext="Url:">
                <ItemTemplate>
                    <%# Eval("Url") %>
                </ItemTemplate>
                <EditItemTemplate>
                    <span class="sign">&nbsp;</span>
                    <asp:TextBox id="txtUrl" runat="server" width="400px" text='<%# Bind("Url") %>' tooltip="e.g. http://www.dell.com"></asp:TextBox>
                </EditItemTemplate>
            </asp:TemplateField>
            <asp:TemplateField headertext="Image:" convertemptystringtonull="true">
                <ItemTemplate>
                    <dsc:ImageUploader id="iupCategoryImage" runat="server" imageid='<%# Eval("ImageId") %>' multiimages="false" showdefaultimagecolumn="false" showtitle="false"></dsc:ImageUploader>
                </ItemTemplate>
                <EditItemTemplate>
                    <table cellspacing="0">
                        <tr>
                            <td><span class="sign">&nbsp;</span></td>
                            <td><dsc:ImageUploader id="iupCategoryImage" runat="server" imageid='<%# Bind("ImageId") %>' multiimages="false" showdefaultimagecolumn="false" showtitle="false" readonly="false" ></dsc:ImageUploader></td>
                        </tr>
                    </table>
                </EditItemTemplate>
            </asp:TemplateField>
            <asp:TemplateField showheader="false">
                <EditItemTemplate>
                    <asp:Button id="btnUpdate" runat="server" text="Update" commandname="Update" validationgroup="manufacturer" />
                    <asp:Button id="btnCancel" runat="server" text="Cancel" onclick="btnCancel_Click" causesvalidation="false" />
                </EditItemTemplate>
                <InsertItemTemplate>
                    <asp:Button id="btnInsert" runat="server" text="Add" commandname="Insert" validationgroup="manufacturer" />
                </InsertItemTemplate>
            </asp:TemplateField>
        </Fields>
    </asp:DetailsView>  
</asp:Content>

