//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Data;
using System.Configuration;
using System.Collections.Generic;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using DotShoppingCart.OpenSource.Core;

public partial class Admin_Catalog_Products : DSCPage {
    private int categoryId;

    protected void Page_Load(object sender, EventArgs e) {
        categoryId = Utils.GetIntParameter("cid", 0);

        if (!IsPostBack) {
            txtSearchProduct.Attributes.Add("onkeydown", "if ((event.which && event.which == 13) || (event.keyCode && event.keyCode == 13)){ $get('" +
                btnSearchProduct.ClientID + "').click(); return false;} else return true;");
        }
    }

    protected void Page_PreRender(object sender, EventArgs e) {
        btnAddProduct.Text = "0" != ddlCategory.SelectedValue ?
                    string.Format("Add Product to Category: {0}", ddlCategory.SelectedItem.Text) : "Add Product";
        btnAddProduct.OnClientClick = "0" != ddlCategory.SelectedValue ?
            string.Format("window.location.href='{0}?cid={1}'; return false;", SiteNavigation.ProductEditPage, ddlCategory.SelectedValue) :
            string.Format("window.location.href='{0}'; return false;", SiteNavigation.ProductEditPage);
    }

    protected void ddlCategory_DataBound(object sender, EventArgs e) {
        if (!IsPostBack) {
            WebUtils.SetDropDownListSelected(ddlCategory, categoryId.ToString());
        }
    }

    protected void gvwProducts_RowDeleted(object sender, GridViewDeletedEventArgs e) {
        tlbStatus.ShowText(string.Format("Product ({0}) was deleted.", e.Values[0]));
    }

    protected void cvdSearch_ServerValidate(object source, ServerValidateEventArgs args) {
        args.IsValid = !(("0" == ddlCategory.SelectedValue) && string.IsNullOrEmpty(txtSearchProduct.Text));
    }

    protected void btnSearchProduct_Click(object sender, EventArgs e) {
        gvwProducts.PageIndex = 0;
    }
}
