//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Data;
using System.Configuration;
using System.Collections.Generic;
using System.IO;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using DotShoppingCart.OpenSource.Core;

public partial class Controls_UploadFiles : DSCPage {
    private string javascriptMethod;

    public Controls_UploadFiles() {
        base.UseAdminTheme = true;
    }

    protected void Page_Load(object sender, EventArgs e) {
        javascriptMethod = Utils.GetParameter("m");
        int count = Utils.GetIntParameter("c", 1);
        int[] dummyDS = new int[count];
        rptUpload.DataSource = dummyDS;
        rptUpload.DataBind();
    }
    protected void btnUploadClick(object sender, EventArgs e) {
        Dictionary<string, bool> allowed = WebUtils.GetAllowedImageFileExt();
        List<string> imageIds = new List<string>();
        foreach (RepeaterItem item in rptUpload.Items) {
            FileUpload fulImage = (FileUpload)item.FindControl("fulImage");
            HttpPostedFile imageFile = fulImage.PostedFile;
            if ((null != imageFile) && (!string.IsNullOrEmpty(imageFile.FileName))) {
                if (allowed.ContainsKey(Path.GetExtension(imageFile.FileName))) {
                    int imageId = DbImage.Add(GetImageBits(imageFile.InputStream, imageFile.ContentLength), imageFile.ContentType);
                    imageIds.Add(imageId.ToString());
                } else {
                    List<string> keys = new List<string>(allowed.Keys);
                    lblMessage.Text = string.Format("The image file types that can be uploaded are {0}.", string.Join(", ", keys.ToArray()));
                    return;
                }
            }
        }
        if (0 == imageIds.Count) {
            lblMessage.Text = "No file was uploaded.";
            return;
        }
        int oldImageId = Utils.GetIntParameter("oldimageid", 0);
        ScriptManager.RegisterClientScriptBlock(this, typeof(Page), "close", string.Format("window.frames.parent.{0}('{1}', {2});", javascriptMethod, string.Join(",", imageIds.ToArray()), oldImageId), true);
    }

    private byte[] GetImageBits(Stream fs, int size) {
        byte[] img = new byte[size];
        fs.Read(img, 0, size);
        return img;
    }
}
