<%@ Control Language="C#" AutoEventWireup="true" CodeFile="UploadImages.ascx.cs" Inherits="Controls_UploadImages" %>
<%@ Import namespace="DotShoppingCart.OpenSource.Core" %>

<asp:UpdatePanel id="UpdatePanelImages" runat="server" updatemode="Conditional">
    <ContentTemplate>
        <div>
            <asp:Image id="imgEmpty" runat="server" visible="false" /> 
        </div>
        <asp:GridView id="gvwImages" runat="server" autogeneratecolumns="false" datakeynames="ImageId" 
            onrowdeleting="gvwImages_RowDeleting" onrowdatabound="gvwImages_RowDataBound" width="100%">
            <Columns>
                <asp:TemplateField headertext="Image">
                    <ItemTemplate>
                        <asp:Image id="imgUploaded" runat="server" imageurl='<%# FileController.GetImageUrl((int)Eval("ImageId"), 80, 60) %>' tooltip='<%# Eval("Title") %>' /> 
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField headertext="Image Title" itemstyle-horizontalalign="Center">
                    <ItemTemplate>
                        <asp:Label id="lblTitle" runat="server" text='<%# Eval("Title") %>' visible='<%# ReadOnly %>'></asp:Label>
                        <asp:TextBox id="txtTitle" runat="server" text='<%# Bind("Title") %>' visible='<%# !ReadOnly %>'></asp:TextBox>
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField headertext="Default Image" itemstyle-horizontalalign="Center">
                    <ItemTemplate>
                        <asp:HiddenField id="hidImageId" runat="server" value='<%# Eval("ImageId") %>' />
                        <asp:RadioButton id="rdbDefault" runat="server" checked='<%# Eval("IsDefault") %>' enabled="false" oncheckedchanged="rdbDefault_CheckedChanged" autopostback="true" />
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField>
                    <ItemTemplate>
                        <asp:Button id="btnUpdate" runat="server" text="Update" visible='<%# !ReadOnly %>' /> 
                        <asp:Button id="btnDeleteImage" runat="server" text="Delete" commandname="Delete" visible='<%# !ReadOnly %>' />
                    </ItemTemplate>
                </asp:TemplateField>
            </Columns>
        </asp:GridView>

        <asp:HiddenField id="hidImageIds" runat="server" />
        <asp:HiddenField id="hidOldImageId" runat="server" />
        <asp:Button id="btnHiddenAdd" runat="server" onclick="btnHiddenAdd_Click" cssclass="Hidden" />
        <div style="margin-top:4px;">
            <asp:Button id="btnAddImage" text="Add Image" runat="server" />
        </div>
        <ajaxc:ModalPopupExtender id="ModalPopupExtenderImageAdd" runat="server" targetcontrolid="btnAddImage" 
            popupcontrolid="pnlImagesAdd" backgroundcssclass="modalBackground" dropshadow="true"
            cancelcontrolid="btnAddCancel" >
        </ajaxc:ModalPopupExtender>
        <asp:Panel ID="pnlImagesAdd" runat="server" CssClass="modalPopup" style="display:none" width="500px" >
            <div class="title">
                <table width="100%">
                    <tr>
                        <td>Upload Images</td>
                        <td style="text-align:right"><asp:ImageButton id="btnAddCancel" runat="server" causesvalidation="false" /></td>
                    </tr>
                </table>
            </div>
            <div class="body">
                <iframe id="ifmImageAdd" runat="server" frameborder="0">
                </iframe>
            </div>
        </asp:Panel>

        <asp:Button id="btnUpdateImage" runat="server" cssclass="Hidden"/>
        <ajaxc:ModalPopupExtender id="ModalPopupExtenderImageUpdate" runat="server" targetcontrolid="btnUpdateImage" 
            popupcontrolid="pnlImageUpload" backgroundcssclass="modalBackground" dropshadow="true"
            cancelcontrolid="btnCancel" >
        </ajaxc:ModalPopupExtender>
        <asp:Panel ID="pnlImageUpload" runat="server" CssClass="modalPopup" style="display:none" width="500px" >
            <div class="title">
                <table width="100%">
                    <tr>
                        <td>Upload Image</td>
                        <td style="text-align:right"><asp:ImageButton id="btnCancel" runat="server" causesvalidation="false" /></td>
                    </tr>
                </table>
            </div>
            <div class="body">
                <iframe id="ifmImageUpload" runat="server" style="width:100%; height:150px;" frameborder="0">
                </iframe>
            </div>
        </asp:Panel>
    </ContentTemplate>
</asp:UpdatePanel>


