//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using DotShoppingCart.OpenSource.Core;

public partial class Admin_Sale_Orders : DSCPage {
    protected void Page_Load(object sender, EventArgs e) {
        if (!IsPostBack) {
            int statuId = Utils.GetIntParameter("sid", 0);
            ddlStatusList.DataSource = OrderStatus.GetAllAvailableOrderStatus();
            ddlStatusList.DataBind();
            WebUtils.SetDropDownListSelected(ddlStatusList, statuId > 0 ? statuId.ToString() : "");

            if (Utils.CheckParameterExist("from")) {
                DateTime fromTime = Utils.GetDateTimeParameter("from", Constant.DB.DBDateTimeMinValue);
                dateRange.From = fromTime;
            }
            if (Utils.CheckParameterExist("to")) {
                DateTime toTime = Utils.GetDateTimeParameter("to", Constant.DB.DBDateTimeMaxValue);
                dateRange.To = toTime;
            }
        }
    }
}
