//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using DotShoppingCart.OpenSource.Core;

public partial class Admin_Sale_PackingSlip : DSCPage {
    private Order order;
    public Order Order {
        get { return order; }
    }
    
    protected void Page_Load(object sender, EventArgs e) {
        if (!IsPostBack) {
            int orderId = Utils.GetIntParameter("oid");
            order = Order.Get(orderId);
            Title = string.Format("Order#: {0}", order.OrderNumber);
            adShippingAddress.Address = Order.ShippingAddress;
            adShippingAddress.DataBind();
            adBillingAddress.Address = Order.BillingAddress;
            adBillingAddress.DataBind();
            orderItems.Items = Order.OrderItems;
            orderItems.OrderId = Order.OrderId;
            adStoreAddress.Address = AddressHelper.GetSiteAddress();
            adStoreAddress.DataBind();
            DataBind();
        }
    }
}
