<%@ Control Language="C#" AutoEventWireup="true" CodeFile="Colors.ascx.cs" Inherits="Admin_Store_Controls_Colors" %>
<%@ Register tagprefix="dsc" tagname="ColorPicker" src="ColorPicker.ascx" %>
<%@ Import Namespace="DotShoppingCart.OpenSource.Core" %>

<div id="dvColorPicker" style="display:none; position:absolute;">
    <dsc:ColorPicker id="colorPicker" runat="server" />
</div>
<table style="width:100%;">
    <colgroup>
        <col style="width:450px;" />
    </colgroup>
    <tr>
        <td>
            <table>
                <asp:Repeater id="rptColors" runat="server" onitemdatabound="rptColors_ItemDataBound">
                    <ItemTemplate>
                        <tr>
                            <td class="FormSectionText" style="width:200px;"><asp:Label id="lblColorName" runat="server" text='<%# Eval("Name") %>'></asp:Label>:</td>
                            <td>*</td>
                            <td class="FormSectionValue">
                                <table>
                                    <tr>
                                        <td style="vertical-align:middle;">
                                            <span id="spColor_<%# Eval("Name") %>" style="display:block; width:80px; height:20px;"></span>
                                        </td>
                                        <td style="vertical-align:middle;">
                                            <asp:TextBox id="txtColor" runat="server" width="100px" text='<%# Eval("Value") %>'></asp:TextBox>
                                            <asp:requiredfieldvalidator id="rvfColor" runat="server" controltovalidate="txtColor">*</asp:requiredfieldvalidator>
                                        </td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                    </ItemTemplate>
                </asp:Repeater>
            </table>
        </td>
        <td id="mainContainer" style="padding: 10px 10px 10px 10px;">
            <div>The following preview is just for demo purpose. Please open up your site to see the real color effect.</div>
            <table cellpadding="0" cellspacing="0" style="width:100%;">
                <tr>
                    <td style="padding-bottom: 10px;"><img width="300px" src="<%=FileController.GetStoreLogoUrl()%>" alt=""/></td>
                </tr>
                <tr>
                    <td>
                        <div class="mainmenu">
                            <div><a id="ancMainMenuSelected" class="selected" href="UI.aspx"><span>Community</span></a></div>
                            <div><a id="ancMainMenu" href="UI.aspx"><span>Forum</span></a></div>
                         </div>
                    </td>
                </tr>
                <tr>
                    <td>
                         <div id="dvBar" class="bar">
                            <div>
                                Search: <input type="text" name="txtSearch" style="width:100px;" />&nbsp;&nbsp;<img id="imgGo" src="" style="border-width: 0px;" alt="" />
                            </div>
                         </div>
                    </td>
                </tr>
                <tr>
                    <td>
                        <div id="dvMainForeColor">Main Fore Color</div>
                        <div><a id="ancHyperLink" href="UI.aspx">Hyper Link</a></div>
                        <div id="dvSectionHeader" class="sectionheader">Section Header:</div>
                    </td>
                </tr>
            </table>
        </td>
    </tr>
</table>

<script language="javascript" type="text/javascript">
    var AccentHighlightBackgroundColor = "";
    var AccentHighlightBackgroundGradientStart = "";

    var AccentBackgroundColor = "";
    var AccentBackgroundGradientStartColor = "";

    var BorderColor = "";

    var ButtonTextColor = "";
    var ButtonStartColor = "";
    var ButtonEndColor = "";
    var ButtonBackgroundColor = "";
    
    var txtColorTarget;
    function ShowColorPicker(target) {
        var dvColorPicker = $get('dvColorPicker');
        dvColorPicker.style.left = event.clientX;
        dvColorPicker.style.top = event.clientY + 10;
        dvColorPicker.style.display = "block";
        txtColorTarget = target;
    }

    function HideColorPicker(target) {
        // check to see if it's inside dvColorPicker
        var dvColorPicker = $get('dvColorPicker');
        if (!((dvColorPicker.offsetLeft < event.clientX) && (event.clientX < (dvColorPicker.offsetLeft + dvColorPicker.offsetWidth)) &&
            (dvColorPicker.offsetTop < event.clientY) && (event.clientY < (dvColorPicker.offsetTop + dvColorPicker.offsetHeight))))
            $get('dvColorPicker').style.display = "none";
    }
    
    function InitColorPreview(targetId) {
        txtColorTarget = $get(targetId);
        PickedColor(txtColorTarget.value);
    }
    
    function PickedColor(colorValue) {
        txtColorTarget.value = colorValue;
        $get(txtColorTarget.spanColorPreview).style.backgroundColor = colorValue;
        ShowColorPreview(txtColorTarget.colorName, colorValue);
        $get('dvColorPicker').style.display = "none";
    }
    
    function ShowColorPreview(colorName, colorValue) {
        switch (colorName) {
            case "Fore Color":
                $get('dvMainForeColor').style.color = colorValue;
                $get('dvSectionHeader').style.color = colorValue;
                break;
            case "Background Color":
                $get('mainContainer').style.backgroundColor = colorValue;
                break;
            case "HyperLink Color":
                $get('ancHyperLink').style.color = colorValue;
                break;
            case "Section Header Background Color":
                $get('dvSectionHeader').style.backgroundColor = colorValue;
                break;
            case "Border Color":
                BorderColor = colorValue;
                ShowMainmenu();
                ShowSelectedMainmenu();
                break;
            case "Accent Fore Color":
                $get('ancMainMenu').style.color = colorValue;
                break;
            case "Accent Background Color":
                AccentBackgroundColor = colorValue;
                ShowMainmenu();
                break;
            case "Accent Background Gradient Start Color":
                AccentBackgroundGradientStartColor = colorValue;
                ShowMainmenu();
                break;
            case "Accent Highlight Fore Color":
                $get('ancMainMenuSelected').style.color = colorValue;
                break;
            case "Accent Highlight Background Color":
                AccentHighlightBackgroundColor = colorValue;
                ShowBar();
                ShowSelectedMainmenu();
                break;
            case "Accent Highlight Background Gradient Start":
                AccentHighlightBackgroundGradientStart = colorValue;
                ShowBar();
                ShowSelectedMainmenu();
                break;
            case "Button Text Color":
                ButtonTextColor = colorValue;
                ShowButton();
                break;
            case "Button Gradient Start Color":
                ButtonStartColor = colorValue;
                ShowButton();
                break;
            case "Button Gradient End Color":
                ButtonEndColor = colorValue;
                ShowButton();
                break;
            case "Button Background Color":
                ButtonBackgroundColor = colorValue;
                ShowButton();
                break;
        }
    }
    
    function ShowMainmenu() {
        $get('ancMainMenu').style.backgroundImage = "url('dyimage.axd?type=boxHeader&width=114&height=27&color=" + AccentBackgroundGradientStartColor.replace('#', '%23') 
            + "&backcolor=" + AccentBackgroundColor.replace('#', '%23') + "&bordercolor=" + BorderColor.replace('#', '%23') + "')";
    }

    function ShowSelectedMainmenu() {
        $get('ancMainMenuSelected').style.backgroundImage = "url('dyimage.axd?type=boxHeader&subtype=highlight&width=114&height=27&gradient=False&color=" + AccentHighlightBackgroundGradientStart.replace('#', '%23') 
            + "&backcolor=" + AccentHighlightBackgroundColor.replace('#', '%23') + "&bordercolor=" + BorderColor.replace('#', '%23') + "')";
    }
    
    function ShowBar() {
        $get('dvBar').style.backgroundImage = "url('dyimage.axd?type=bar&width=10&height=37&color=" + AccentHighlightBackgroundGradientStart.replace('#', '%23') 
            + "&backcolor=" + AccentHighlightBackgroundColor.replace('#', '%23') + "')";
    }

    function ShowButton() {
        $get('imgGo').src = "dyimage.axd?type=button&cornersize=10&text=Go&width=30&bkgroundcolor="
            + ButtonBackgroundColor.replace('#', '%23') + "&color=" + ButtonStartColor.replace('#', '%23') + "&backcolor="
            + ButtonEndColor.replace('#', '%23') + "&textcolor=" + ButtonTextColor.replace('#', '%23');
    }
    
</script>