//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Data;
using System.IO;
using System.Configuration;
using System.Collections.Generic;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using DotShoppingCart.OpenSource.Core;

public partial class Admin_File_UploadFile : DSCPage {
    protected void Page_Load(object sender, EventArgs e) {
        lblMessage.CssClass = "error";
    }

    protected void btnUploadClick(object sender, EventArgs e) {
        Dictionary<string, bool> allowed = WebUtils.GetAllowedUpdatedFileExt();
        HttpPostedFile fileUploaded = fulUpload.PostedFile;
        if (null == fileUploaded) {
            lblMessage.Text = "No file was uploaded";
            return;
        }
        if (!allowed.ContainsKey(Path.GetExtension(fileUploaded.FileName))) {
            List<string> keys = new List<string>(allowed.Keys);
            lblMessage.Text = string.Format("The file types that can be uploaded are {0}.", string.Join(", ", keys.ToArray()));
            return;
        }

        int fileId = DbFile.Set(Path.GetFileName(fileUploaded.FileName), 
            Utils.GetBitsFromSteam(fileUploaded.InputStream, fileUploaded.ContentLength), 
            fileUploaded.ContentType);
        lblMessage.Text = string.Format("File was added successful (ID:{0})", fileId);
        lblMessage.CssClass = "success";
    }
}
