//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Data;
using System.Configuration;
using System.Collections.Generic;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Linq;

using DotShoppingCart.OpenSource.Core;

public partial class Admin_Controls_ConfigureCondition : System.Web.UI.UserControl {
    public List<Condition> Conditions {
        get { return editor.Conditions; }
        set { editor.Conditions = value; }
    }

    public string AddButtonText {
        set { editor.AddButtonText = value; }
    }

    protected void Page_Load(object sender, EventArgs e) {
        var countryCodes = from c in Country.GetAll()
                           select new {
                               Name = c.Name,
                               Value = c.CodeISO3166
                           };
        var roles = from r in Roles.GetAllRoles()
                    select new {
                        Name = r,
                        Value = r
                    };

        List<ConditionProperty> shippingConditionProperties = new List<ConditionProperty>() {
                new ConditionProperty() { Name = "Country", Type = ConditionValueType.List, Data = countryCodes },
                new ConditionProperty() { Name = "State", Type = ConditionValueType.Text },
                new ConditionProperty() { Name = "Zipcode", Type = ConditionValueType.Text },
                new ConditionProperty() { Name = "Role", Type = ConditionValueType.List, Data = roles },
        };
        editor.Properties = shippingConditionProperties;
    }
}
