<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ShippingMethodEdit.ascx.cs" Inherits="Admin_Store_Controls_ShippingMethodEdit" %>
<%@ Register tagprefix="dsc" tagname="DecimalTextBox" src="~/Controls/DecimalTextBox.ascx" %>

<asp:Button id="btnPopup" runat="server" text="Add Shipping Method" />
<ajaxc:ModalPopupExtender id="mpePopup" runat="server" targetcontrolid="btnPopup" 
    popupcontrolid="pnlShippingMethod" backgroundcssclass="modalBackground" dropshadow="true"
    cancelcontrolid="btnCancel" >
</ajaxc:ModalPopupExtender>
<asp:Panel ID="pnlShippingMethod" runat="server" CssClass="modalPopup" style="display:none;" width="500px" >
    <div class="title"><asp:Label id="lblTitle" runat="server" text="Add Shipping Method"></asp:Label></div>
    <div class="body">
        <asp:ValidationSummary id="vdsShipping" runat="server" headertext="<b>The following error(s) were found:</b>" 
            showsummary="true" />
        <table>
            <tr>
                <td class="FormSectionText">
                    Shipping Method Name:
                </td>
                <td>*</td>
                <td class="FormSectionValue">
                    <asp:textbox runat="server" id="txtName" width="250px"></asp:textbox>
                    <asp:requiredfieldvalidator id="rfvName" runat="server" controltovalidate="txtName" setfocusonerror="true"
                        errormessage="Shipping Method Name is a required field.">*</asp:requiredfieldvalidator>
                </td>
            </tr>
            <tr>
                <td class="FormSectionText">
                    Shipping Basis:
                </td>
                <td>*</td>
                <td class="FormSectionValue">
                    <asp:DropDownList id="ddlTarget" runat="server" width="250px">
                        <%-- Must sync with enum RateTarget  --%>
                        <asp:ListItem text="Total Order Amount" value="0"></asp:ListItem>
                        <asp:ListItem text="Total Order Weight" value="1"></asp:ListItem>
                    </asp:DropDownList>
                </td>
            </tr>
            <tr>
                <td class="FormSectionText">
                    Rate Unit:
                </td>
                <td>*</td>
                <td class="FormSectionValue">
                    <asp:DropDownList id="ddlUnit" runat="server" width="250px">
                        <%-- Must sync with enum RateUnit  --%>
                        <asp:ListItem text="Amount" value="0"></asp:ListItem>
                        <asp:ListItem text="Percentage" value="1"></asp:ListItem>
                    </asp:DropDownList>
                </td>
            </tr>
            <tr>
                <td class="FormSectionText">
                    Sort Order:
                </td>
                <td>*</td>
                <td class="FormSectionValue">
                    <dsc:DecimalTextBox id="dtbSortOrder" runat="server" required="true" text="0" 
                        name="Sort Order" width="250px" />
                </td>
            </tr>
        </table>
    </div>
    <div class="buttons">
        <asp:Button id="btnOk" runat="server" skinid="Buttons" text="Ok" onclick="btnOk_Click" />
        <asp:Button id="btnCancel" runat="server" skinid="Buttons" text="Cancel" causesvalidation="false" />
    </div>
</asp:Panel>