//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Data;
using System.Configuration;
using System.Collections.Generic;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using DotShoppingCart.OpenSource.Core;
using DotShoppingCart.OpenSource.Shipping;

public partial class Admin_Store_Controls_TableBasedShippingRateDisplay : System.Web.UI.UserControl {
    private SortedList<decimal, decimal> rates;
    public SortedList<decimal, decimal> Rates {
        set { rates = value; }
    }

    private RateTarget target;
    public RateTarget Target {
        set { target = value; }
    }

    private RateUnit unit;
    public RateUnit Unit {
        set { unit = value; }
    }

    public override void DataBind() {
        base.DataBind();
        rptRates.DataSource = TableBasedShippingRateRange.ConvertToRateRanges(rates);
        rptRates.DataBind();
    }

    protected void Page_Load(object sender, EventArgs e) {
    }

    protected void rptRates_ItemDataBound(object sender, RepeaterItemEventArgs e) {
        string weightUnit = StoreConfigurationSection.GetSection().ProductWeightUnit;
        TableBasedShippingRateRange range = (TableBasedShippingRateRange)e.Item.DataItem;
        Label lblFrom = (Label)e.Item.FindControl("lblFrom");
        Label lblTo = (Label)e.Item.FindControl("lblTo");
        Label lblRate = (Label)e.Item.FindControl("lblRate");

        if (RateTarget.TotalOrderAmount == target) {
            lblFrom.Text = string.Format("${0}", range.Min);
            lblTo.Text = string.Format("${0}", range.Max);
        } else {
            lblFrom.Text = string.Format("{0} lb", range.Min);
            lblTo.Text = string.Format("{0} lb", range.Max);
        }

        lblRate.Text = string.Format((RateUnit.Amount == unit ? "${0}" : "{0}"), range.Value);
    }
}
