//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Data;
using System.Configuration;
using System.Collections.Generic;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using DotShoppingCart.OpenSource.Shipping;
using DotShoppingCart.OpenSource.Core;

public partial class Admin_Store_Controls_TableBasedShippingRegionDisplay : System.Web.UI.UserControl {
    private RateTarget target;
    public RateTarget Target {
        get { return target; }
        set { target = value; }
    }
    private RateUnit unit;
    public RateUnit Unit {
        get { return unit; }
        set { unit = value; }
    }
    public int Index {
        get {
            if (null == ViewState["index"])
                return -1;
            return (int)ViewState["index"]; 
        }
        set { ViewState["index"] = value; }
    }

    private List<TableBasedShippingRegion> shippingRegions;
    public List<TableBasedShippingRegion> ShippingRegions {
        set { shippingRegions = value; }
    }

    public override void DataBind() {
        base.DataBind();
        rptShippingRegions.DataSource = shippingRegions;
        rptShippingRegions.DataBind();
    }

    protected void Page_Load(object sender, EventArgs e) {
    }

    protected void btnDelete_Command(object sender, CommandEventArgs e) {
        List<TableBasedShippingMethod> methods = TableBasedShippingProvider.GetShippingMethods();
        List<TableBasedShippingRegion> regions = methods[Index].ShippingRegions;
        regions.RemoveAt(int.Parse(e.CommandArgument.ToString()));
        TableBasedShippingProvider.SaveShippingMethods(methods);
        WebUtils.ReloadPage();
    }
}
