<%@ Page Language="C#" MasterPageFile="~/Admin.master" AutoEventWireup="true" CodeFile="ShippingRegionEdit.aspx.cs" Inherits="Admin_Store_ShippingRegionEdit" Title="Untitled Page" %>
<%@ Register tagprefix="dsc" tagname="DecimalTextBox" src="~/Controls/DecimalTextBox.ascx" %>
<%@ Register tagprefix="dsc" tagname="ConfigureCondition" src="Controls/ConfigureCondition.ascx" %>
<%@ Register tagprefix="dsc" tagname="TableBasedShippingRate" src="Controls/TableBasedShippingRate.ascx" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <div style="margin-top:10px;">
        <h4 style="text-align:center;"><asp:Label id="lblTitle" runat="server"></asp:Label></h4>
        <asp:ValidationSummary id="vdsShipping" runat="server" headertext="<b>The following error(s) were found:</b>" 
            showsummary="true" validationgroup="ValidationShippingMethod" />
        <asp:Wizard id="shippingRegionWizard" runat="server"
            onnextbuttonclick="shippingRegionWizard_NextButtonClick" onfinishbuttonclick="shippingRegionWizard_FinishButtonClick" >
            <SideBarTemplate>
                <asp:DataList ID="SideBarList" runat="server">
                    <ItemStyle cssclass="wizardSideBarItem" />
                    <SelectedItemStyle cssclass="wizardSideBarSelectedItem" />
                    <ItemTemplate>
                        <asp:LinkButton id="SideBarButton" runat="server" font-underline="false"></asp:LinkButton>
                    </ItemTemplate>
                </asp:DataList>
            </SideBarTemplate>
            <WizardSteps>
                <asp:WizardStep id="WizardStep1" runat="server" title="Shipping Region">
                    <div style="margin-top:10px;">
                        Use the left button to load pre-defined shipping region. 
                        <asp:Button id="btnLoad" runat="server" width="250px"
                            text="Load Predefined Shipping Region"  />
                        <ajaxc:ModalPopupExtender id="mpeLoad" runat="server" targetcontrolid="btnLoad" 
                            popupcontrolid="pnlLoad" backgroundcssclass="modalBackground" dropshadow="true"
                            cancelcontrolid="btnCancel" >
                        </ajaxc:ModalPopupExtender>
                        <asp:Panel ID="pnlLoad" runat="server" CssClass="modalPopup" style="display:none;" width="400px" >
                            <div class="title">
                                Load From the Predefined Shipping Region
                            </div>
                            <div class="body">
                                Predefined Shipping Region: 
                                <asp:DropDownList id="ddlRegions" runat="server">
                                    <asp:ListItem text="All US States"></asp:ListItem>
                                    <asp:ListItem text="Continental US"></asp:ListItem>
                                    <asp:ListItem text="Alaska"></asp:ListItem>
                                    <asp:ListItem text="Hawaii"></asp:ListItem>
                                    <asp:ListItem text="New York"></asp:ListItem>
                                    <asp:ListItem text="Canada"></asp:ListItem>
                                </asp:DropDownList>
                            </div>
                            <div class="buttons">
                                <asp:Button id="btnOk" runat="server" skinid="Buttons" text="Ok" onclick="btnOk_Click" causesvalidation="false" />
                                <asp:Button id="btnCancel" runat="server" skinid="Buttons" text="Cancel" causesvalidation="false" />
                            </div>
                        </asp:Panel>
                    </div>
                    <table style="margin-top:10px; margin-bottom:30px;">
                        <tr>
                            <td class="FormSectionText">
                                Shipping Region Name:
                            </td>
                            <td>*</td>
                            <td class="FormSectionValue">
                                <asp:textbox runat="server" id="txtName" width="300px"></asp:textbox>
                                <asp:requiredfieldvalidator id="rfvName" runat="server" controltovalidate="txtName" setfocusonerror="true"
                                    errormessage="Name is a required field." validationgroup="ValidationShippingMethod">*</asp:requiredfieldvalidator>
                            </td>
                        </tr>
                        <tr>
                            <td class="FormSectionText">
                                Shipping Region Definitions:
                            </td>
                            <td>*</td>
                            <td class="FormSectionValue">
                                <dsc:ConfigureCondition id="configureCondition" runat="server" addbuttontext="Add To List" />
                                <asp:CustomValidator id="cvdDefinition" runat="server" onservervalidate="cvdDefinition_ServerValidate"
                                    errormessage="At least one definition must be defined." validationgroup="ValidationShippingMethod">*</asp:CustomValidator>
                            </td>
                        </tr>
                    </table>
                </asp:WizardStep>
                <asp:WizardStep id="WizardStep2" runat="server" title="Shipping Rates">
                    <table style="margin-top:10px; margin-bottom:30px;">
                        <tr>
                            <td class="FormSectionText" style="width:100px">
                                Rate:
                            </td>
                            <td>*</td>
                            <td class="FormSectionValue">
                                <dsc:TableBasedShippingRate id="shippingRate" runat="server" validationgroup="ValidationShippingMethod" />
                            </td>
                        </tr>
                    </table>
                </asp:WizardStep>
            </WizardSteps>
            <StartNavigationTemplate>
                <asp:ImageButton id="btnNext" runat="server" skinid="MoveNext" commandname="MoveNext" 
                    validationgroup="ValidationShippingMethod" tooltip="Move to the next step." />
            </StartNavigationTemplate>
            <StepNavigationTemplate>
                <asp:ImageButton id="btnPrev" runat="server" skinid="MovePrevious" commandname="MovePrevious" 
                    tooltip="Move to the previous step." />
                <asp:ImageButton id="btnNext" runat="server" skinid="MoveNext" commandname="MoveNext" 
                    validationgroup="ValidationShippingMethod" tooltip="Move to the next step." />
            </StepNavigationTemplate>
            <FinishNavigationTemplate>
                <asp:ImageButton id="btnPrev" runat="server" skinid="MovePrevious" commandname="MovePrevious" 
                    tooltip="Move to the previous step." />
                <asp:ImageButton id="btnFinish" runat="server" skinid="MoveComplete" commandname="MoveComplete" 
                    validationgroup="ValidationShippingMethod" tooltip="Complete the wizard." />
            </FinishNavigationTemplate>
        </asp:Wizard>
    </div>
</asp:Content>

