﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="AddBlock.ascx.cs" Inherits="Controls_Blocks_AddBlock" %>

<asp:ImageButton id="btnAddBlock" runat="server" skinid="AddBlock" alternatetext="Add Block" />
<ajaxc:ModalPopupExtender id="mpeBlock" runat="server" targetcontrolid="btnAddBlock" 
    popupcontrolid="pnlBlockAdd" backgroundcssclass="modalBackground" dropshadow="true"
    cancelcontrolid="btnCancel" >
</ajaxc:ModalPopupExtender>
<asp:Panel ID="pnlBlockAdd" runat="server" CssClass="modalPopup" style="display:none;" width="800px" >
    <div class="title">
        Add Block
    </div>
    <div class="body" style="height:400px; overflow:scroll;">
        <asp:Panel id="pnlBlockTemplatesHeader" runat="server" cssclass="CollapsiblePanelHeader">
            <div style="padding:5px; cursor: pointer; vertical-align: middle;">
                <asp:ImageButton id="btnExpand" runat="server" imageurl="~/Images/expand.jpg" alternatetext="(Show Details...)"/>
                Block Templates
            </div>
        </asp:Panel>
        <asp:Panel id="pnlBlockTemplates" runat="server" style="overflow:hidden;">
            <p>
                <asp:LinqDataSource id="ldsBlockTemplates" runat="server" contexttypename="DotShoppingCart.OpenSource.Core.DSCDataSourceDataContext"
                    tablename="BlockContainerTemplates">
                </asp:LinqDataSource>
                <asp:CheckBoxList id="cblBlockTemplates" runat="server" datasourceid="ldsBlockTemplates"
                    datatextfield="Name" datavaluefield="BlockContainerTemplateId">
                </asp:CheckBoxList>
            </p>
        </asp:Panel>

        <ajaxc:CollapsiblePanelExtender id="cpeBlockTemplate" runat="server"
            targetcontrolid="pnlBlockTemplates"
            expandcontrolid="pnlBlockTemplatesHeader"
            collapsecontrolid="pnlBlockTemplatesHeader" 
            imagecontrolid="btnExpand" />

        <asp:Panel id="pnlBlockReferenceHeader" runat="server" cssclass="CollapsiblePanelHeader">
            <div style="padding:5px; cursor: pointer; vertical-align: middle;">
                <asp:ImageButton id="btnExpandRef" runat="server" imageurl="~/Images/expand.jpg" alternatetext="(Show Details...)"/>
                Block References
            </div>
        </asp:Panel>
        <asp:Panel id="pnlBlockReference" runat="server" style="overflow:hidden;">
            <p>
                <asp:LinqDataSource id="ldsBockReference" runat="server" contexttypename="DotShoppingCart.OpenSource.Core.DSCDataSourceDataContext"
                    tablename="BlockReferences">
                </asp:LinqDataSource>
                <asp:CheckBoxList id="cblBlockReferences" runat="server" datasourceid="ldsBockReference"
                    datatextfield="Name" datavaluefield="BlockId">
                </asp:CheckBoxList>
            </p>
        </asp:Panel>

        <ajaxc:CollapsiblePanelExtender id="cpeBlockReference" runat="server"
            targetcontrolid="pnlBlockReference"
            expandcontrolid="pnlBlockReferenceHeader"
            collapsecontrolid="pnlBlockReferenceHeader" 
            imagecontrolid="btnExpandRef" />

        <asp:LinqDataSource id="ldsBlockGroups" runat="server" contexttypename="DotShoppingCart.OpenSource.Core.DSCDataSourceDataContext"
            tablename="BlockTypeGroups">
        </asp:LinqDataSource>
        <asp:Repeater id="rptBlockGroups" runat="server" datasourceid="ldsBlockGroups" onitemdatabound="rptBlockGroups_ItemDataBound">
            <ItemTemplate>
                <asp:Panel id="pnlStandardBlocksHeader" runat="server" cssclass="CollapsiblePanelHeader">
                    <div style="padding:5px; cursor: pointer; vertical-align: middle;">
                        <asp:ImageButton id="btnExpandStandardBlocks" runat="server" imageurl="~/Images/expand.jpg" alternatetext="(Show Details...)"/>
                        <%# Eval("GroupName") %>
                    </div>
                </asp:Panel>
                <asp:Panel id="pnlStandardBlocks" runat="server" style="overflow:hidden;">
                    <p>
                        <asp:CheckBoxList id="cblStandardBlocks" runat="server"
                            datatextfield="Type" datavaluefield="BlockTypeId">
                        </asp:CheckBoxList>
                    </p>
                </asp:Panel>
            
                <ajaxc:CollapsiblePanelExtender id="cpeStandardBlocks" runat="server"
                    targetcontrolid="pnlStandardBlocks"
                    expandcontrolid="pnlStandardBlocksHeader"
                    collapsecontrolid="pnlStandardBlocksHeader" 
                    imagecontrolid="btnExpandStandardBlocks" />
            </ItemTemplate>
        </asp:Repeater>
        

    </div>
    <div class="buttons">
        <asp:Button id="btnSave" runat="server" text="Add" onclick="btnSave_Click" />
        <asp:Button id="btnCancel" runat="server" text="Cancel" causesvalidation="false" />
    </div>
</asp:Panel>
