﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="MyAccount.ascx.cs" Inherits="Controls_Core_MyAccount" %>
<%@ Register tagprefix="dsc" tagname="addressinput" src="~/Controls/addressinput.ascx" %>
<%@ Register tagprefix="dsc" tagname="accountoptionalinformation" src="~/Controls/accountoptionalinformation.ascx" %>
<%@ Register tagprefix="dsc" tagname="changeuseremail" src="~/Controls/changeuseremail.ascx" %>
<%@ Register tagprefix="dsc" tagname="changeuserpassword" src="~/Controls/changeuserpassword.ascx" %>
<%@ Register tagprefix="dsc" tagname="addressmanager" src="~/Controls/addressmanager.ascx" %>
<%@ Register tagprefix="dsc" tagname="CreditCardManager" src="~/Store/CreditCardManager.ascx" %>
<%@ Register tagprefix="dsc" tagname="OrderList" src="~/Store/OrderList.ascx" %>

<h3>Update Account Settings</h3>

<script type="text/javascript">
    function ActiveTabChanged(sender, e) {
        var activeTab = $get('<%=hidActiveTab.ClientID%>');
        activeTab.value = sender.get_activeTabIndex();
    }
</script>
<asp:HiddenField ID="hidActiveTab" runat="server" />
<ajaxc:TabContainer id="tbcMyAccount" runat="server" onclientactivetabchanged="ActiveTabChanged">
    <ajaxc:TabPanel id="tbpOrder" runat="server" headertext="My Orders" tooltip="View my orders">
        <ContentTemplate>
            <asp:ObjectDataSource id="odsOrders" runat="server" typename="DotShoppingCart.OpenSource.Core.Order"
                selectmethod="GetSummary" sortparametername="sortBy" enablepaging="true" selectcountmethod="GetSummaryOrderCount" 
                startrowindexparametername="rowIndex" maximumrowsparametername="rowsPerPage">
            </asp:ObjectDataSource>
            <dsc:OrderList id="myOrders" runat="server" showcustomercolumn="false" datasourceid="odsOrders" />
        </ContentTemplate>
    </ajaxc:TabPanel>
    <ajaxc:TabPanel id="tbpEmail" runat="server" headertext="User Email" tooltip="Change user email address">
        <ContentTemplate>
            <dsc:changeuseremail id="changeEmail" runat="server" />
        </ContentTemplate>
    </ajaxc:TabPanel>
    <ajaxc:TabPanel id="tbpPassword" runat="server" headertext="User Password" tooltip="Change login password">
        <ContentTemplate>
            <dsc:changeuserpassword id="changePassword" runat="server" />
        </ContentTemplate>
    </ajaxc:TabPanel>
    <ajaxc:TabPanel id="tbpBillingAddress" runat="server" headertext="Billing Address" tooltip="Change billing address">
        <ContentTemplate>
            <div class="notice">This address must match the address that your monthly credit card statement or monthly bank statement is sent to, or your order will be delayed.</div><br />
            <asp:ValidationSummary id="VdlidationUpdateBilling" runat="server" headertext="<b>The following error(s) were found:</b>" showsummary="true" validationgroup="ValidationGroupUpdateBilling" />
            <dsc:addressinput id="billingAddress" runat="server" validationgroup="ValidationGroupUpdateBilling" phonenoticetext="This phone number must match the number your credit card has on file" />
            <br /><div><asp:Label id="lblUpdateBillingStatus" runat="server" cssclass="success" /></div><br />
            <asp:Button id="btnBillingUpdate" runat="server" validationgroup="ValidationGroupUpdateBilling" text="Update" oncommand="CommandBtn_Click" commandname="UpdateBilling" />
        </ContentTemplate>
    </ajaxc:TabPanel>
    <ajaxc:TabPanel id="tbpShippingAddress" runat="server" headertext="Shipping Address Book" tooltip="Manage your shippng address book">
        <ContentTemplate>
            <dsc:addressmanager id="addressManager" runat="server"/>
        </ContentTemplate>
    </ajaxc:TabPanel>
    <ajaxc:TabPanel id="tbpCreditCard" runat="server" headertext="Credit Card" tooltip="Manage your saved credit cards">
        <ContentTemplate>
            <dsc:CreditCardManager id="creditCardManager" runat="server"/>
        </ContentTemplate>
    </ajaxc:TabPanel>
    <ajaxc:TabPanel id="tbpOptional" runat="server" headertext="Optional Information" tooltip="Change user optional information">
        <ContentTemplate>
            <dsc:accountoptionalinformation id="accountOptional" runat="server" />
            <br /><div><asp:Label id="lblUpdateOptionalStatus" runat="server" cssclass="success"/></div><br />
            <asp:Button id="btnOptionalUpdate" runat="server" text="Update" oncommand="CommandBtn_Click" commandname="UpdateOptional" />
        </ContentTemplate>
    </ajaxc:TabPanel>
</ajaxc:TabContainer>
