﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="Register.ascx.cs" Inherits="Controls_Core_Register" %>
<%@ Register tagprefix="dsc" tagname="addressinput" src="~/Controls/addressinput.ascx" %>
<%@ Register tagprefix="dsc" tagname="accountoptional" src="~/Controls/accountoptionalinformation.ascx" %>

<asp:CreateUserWizard ID="CreateUserWizard1" runat="server" oncreateduser="CreateUserWizard1_CreatedUser" createuserbuttontext="Register">
    <WizardSteps>
        <asp:CreateUserWizardStep ID="CreateUserWizardStep1" runat="server">
            <ContentTemplate>
                <div class="sectionbar">New Account Registration (*required fields)</div>
                <table>
                    <tr>
                        <td colspan="3"><asp:ValidationSummary id="CreateUserWizard1ValidationSummary" runat="server" headertext="<b>The following error(s) were found:</b>" showsummary="true" validationgroup="CreateUserWizard1" /></td>
                    </tr>
                    <tr>
                        <td class="FormSectionText">
                            User Name:
                        </td>
                        <td>*</td>
                        <td class="FormSectionValue">
                            <asp:textbox runat="server" id="UserName" width="200px"></asp:textbox>
                            <asp:requiredfieldvalidator id="UserNameRequired" runat="server" controltovalidate="UserName"
                                validationgroup="CreateUserWizard1" errormessage="User Name is a required field.">*</asp:requiredfieldvalidator>
                        </td>
                    </tr>
                    <tr>
                        <td class="FormSectionText">
                            Password:
                        </td>
                        <td>*</td>
                        <td class="FormSectionValue">
                            <asp:textbox id="Password" runat="server" textmode="Password" width="200px"></asp:textbox>
                            <asp:requiredfieldvalidator id="PasswordRequired" runat="server" controltovalidate="Password"
                                validationgroup="CreateUserWizard1" errormessage="Password is a required field.">*</asp:requiredfieldvalidator>
                        </td>
                    </tr>
                    <tr>
                        <td class="FormSectionText">
                            Confirm Password:
                        </td>
                        <td>*</td>
                        <td class="FormSectionValue">
                            <asp:textbox runat="server" textmode="Password" id="ConfirmPassword" width="200px"></asp:textbox>
                            <asp:requiredfieldvalidator id="ConfirmPasswordRequired" runat="server" controltovalidate="ConfirmPassword"
                                validationgroup="CreateUserWizard1" errormessage="Confirm Password is a required field.">*</asp:requiredfieldvalidator>
                            <asp:comparevalidator id="PasswordCompare" runat="server" display="Dynamic" 
                                controltocompare="ConfirmPassword" controltovalidate="Password" 
                                errormessage="The Password and Confirm Password fields must match."
                                validationgroup="CreateUserWizard1">*</asp:comparevalidator>
                        </td>
                    </tr>
                    <tr>
                        <td class="FormSectionText">
                            Email:
                        </td>
                        <td>*</td>
                        <td class="FormSectionValue">
                            <asp:textbox id="Email" runat="server" width="200px" ></asp:textbox>
                            <asp:requiredfieldvalidator id="EmailRequired" runat="server" controltovalidate="Email"
                                validationgroup="CreateUserWizard1" errormessage="E-mail is a required field.">*</asp:requiredfieldvalidator>
                            <asp:RegularExpressionValidator ID="EmailRegularExpressionValidator" runat="server" controltovalidate="Email" validationexpression=".+@.+\..+" 
                                errormessage="Wrong E-mail format."
                                validationgroup="CreateUserWizard1" >*</asp:RegularExpressionValidator>
                        </td>
                    </tr>
                    <tr>
                        <td class="FormSectionText">
                            Security Question:
                        </td>
                        <td>*</td>
                        <td class="FormSectionValue">
                            <asp:textbox runat="server" id="Question" width="200px"></asp:textbox>
                            <asp:requiredfieldvalidator id="QuestionRequired" runat="server" controltovalidate="Question"
                                validationgroup="CreateUserWizard1" errormessage="Security Question is a required field.">*</asp:requiredfieldvalidator>
                        </td>
                    </tr>
                    <tr>
                        <td class="FormSectionText">
                            Security Answer:
                        </td>
                        <td>*</td>
                        <td class="FormSectionValue">
                            <asp:textbox runat="server" id="Answer" width="200px"></asp:textbox>
                            <asp:requiredfieldvalidator id="AnswerRequired" runat="server" controltovalidate="Answer"
                                validationgroup="CreateUserWizard1" errormessage="Security Answer is a required field.">*</asp:requiredfieldvalidator>
                        </td>
                    </tr>
                    <tr>
                        <td align="center" colspan="3" class="error">
                            <asp:Literal ID="ErrorMessage" runat="server" EnableViewState="False"></asp:Literal>
                        </td>
                    </tr>

                </table>
                <div class="sectionbar">Billing Information</div>
                <div class="notice">This address must match the address that your monthly credit card statement or monthly bank statement is sent to, or your order will be delayed.</div>
                <dsc:addressinput id="billingAddress" runat="server" validationgroup="CreateUserWizard1" phoneNoticeText="This phone number must match the number your credit card has on file" />
                <div class="sectionbar">Optional Information</div>
                <dsc:accountoptional id="accountOptional" runat="server" />

            </ContentTemplate>
        </asp:CreateUserWizardStep>
        <asp:CompleteWizardStep id="CompleteWizardStep1" runat="server" title="Complete">
            <contenttemplate>
                <table border="0" style="width:100%;">
                    <tr>
                        <td style="text-align:center;" colspan="2">Complete</td>
                    </tr>
                    <tr>
                        <td>Your account has been successfully created.</td>
                    </tr>
                    <tr>
                        <td  style="text-align:center;" colspan="2">
                            <asp:button id="ContinueButton" runat="server" commandname="Continue" causesvalidation="False" text="Continue" />
                        </td>
                  </tr>
                </table>
            </contenttemplate>
        </asp:CompleteWizardStep>
    </WizardSteps>
</asp:CreateUserWizard>
