//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using DotShoppingCart.OpenSource.Core;

public partial class Controls_DateTimeTextBox : ValidatableUserControl {
    private string name;
    public string Name {
        set { name = value; }
    }

    public bool Required {
        set { rfvDate.Visible = value; }
    }

    public string Text {
        get { return txtDate.Text; }
        set { txtDate.Text = value; }
    }

    public DateTime Value {
        get { return DateTime.Parse(txtDate.Text); }
        set { txtDate.Text = value.ToString(); }
    }

    public Unit Width {
        get { return txtDate.Width; }
        set { txtDate.Width = value; }
    }

    public bool Enabled {
        get { return txtDate.Enabled; }
        set { txtDate.Enabled = value; }
    }

    protected void Page_PreRender(object sender, EventArgs e) {
        if (!string.IsNullOrEmpty(name)) {
            cvdDate.ErrorMessage = string.Format("{0} is invalid.", name);
            rfvDate.ErrorMessage = string.Format("{0} is required.", name);
        }
    }

    protected void cvdDate_ServerValidate(object source, ServerValidateEventArgs args) {
        CustomValidator cvdDate = (CustomValidator)source;
        TextBox txtBox = (TextBox)FindControl(cvdDate.ControlToValidate);
        DateTime value;
        args.IsValid = DateTime.TryParse(txtBox.Text, out value);
    }
}
