﻿//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

public partial class Controls_ModulePopup : System.Web.UI.UserControl {
    [TemplateContainer(typeof(BodyContainer))]
    [PersistenceMode(PersistenceMode.InnerProperty)]
    public ITemplate BodyTemplate { get; set; }

    public event EventHandler OkClick;
    public string TargetControlID {
        get { return mpe.TargetControlID; }
        set { mpe.TargetControlID = value; }
    }

    public string Title {
        get { return lblTitle.Text; }
        set { lblTitle.Text = value; }
    }

    public Unit Width {
        get { return pnlPopup.Width; }
        set { pnlPopup.Width = value; }
    }

    public string OkButtonText {
        get { return btnOk.Text; }
        set { btnOk.Text = value; }
    }

    public string ValidationGroup {
        get { return btnOk.ValidationGroup; }
        set { btnOk.ValidationGroup = value; }
    }

    private BodyContainer container;
    public BodyContainer Body {
        get { return container; }
    }

    public void Show() {
        mpe.Show();
    }

    void Page_Init(object sender, EventArgs e) {
        if (null != BodyTemplate) {
            container = new BodyContainer();
            BodyTemplate.InstantiateIn(container);
            bodyPlaceHolder.Controls.Add(container);
        }
    }

    protected void Page_Load(object sender, EventArgs e) {
    }

    protected void btnOk_Click(object sender, EventArgs e) {
        OnOkClick(e);
    }

    protected virtual void OnOkClick(EventArgs e) {
        if (null != OkClick) {
            OkClick(this, e);
        }
    }

    public class BodyContainer : Control, INamingContainer {
        internal BodyContainer() {
        }
    }
}
