//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Text.RegularExpressions;
using DotShoppingCart.OpenSource.Core;

public partial class Controls_TelephoneInput : ValidatableUserControl {
    public string Telephone {
        get { return Regex.Replace(txtTelephone.Text, @"[^\d]", ""); }
        set { txtTelephone.Text = Utils.FormatPhoneForDisplay(value); }
    }

    public string Extension {
        get { return txtPhoneExt.Text; }
        set { txtPhoneExt.Text = value; }
    }

    public bool Required {
        get { return cvdTelephone.Visible; }
        set { cvdTelephone.Enabled = value; }
    }

    protected void Page_Load(object sender, EventArgs e) {
    }

    protected void cvdTelephone_ServerValidate(object source, ServerValidateEventArgs args) {
        args.IsValid = !string.IsNullOrEmpty(Telephone);
    }
}
