//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Drawing;

public partial class Controls_TransitionalLabel : System.Web.UI.UserControl {

    public string Text {
        get { return lblStatus.Text; }
        set { lblStatus.Text = value; }
    }
    public Color ForeColor {
        get { return lblStatus.ForeColor; }
        set { lblStatus.ForeColor = value; }
    }
    public bool Bold {
        get { return lblStatus.ControlStyle.Font.Bold; }
        set { lblStatus.ControlStyle.Font.Bold = value; }
    }
    public string CssClass {
        get { return lblStatus.CssClass; }
        set { lblStatus.CssClass = value; }
    }

    public void ShowText(string text) {
        ShowText(text, 10);
    }
    
    public void ShowText(string text, int seconds) {
        string script = "function ShowText(tag, text, secondsToShow) {\n" + 
                        "var lblStatus = document.getElementById(tag);\n" +
                        "var oldText = lblStatus.innerHTML;\n" +
                        "lblStatus.innerHTML = text;\n" +
                        "setTimeout(\"document.getElementById('\" + tag + \"').innerHTML = '\" + oldText + \"'\", secondsToShow * 1000);\n" +
                        "}\n";
        if (seconds > 0) {
            ScriptManager.RegisterStartupScript(this, typeof(Page), "ShowText", script, true);
            ScriptManager.RegisterStartupScript(this, typeof(Page), "ShowText" + this.ClientID,
                string.Format("ShowText('{0}', '{1}', {2});", lblStatus.ClientID, text, seconds), true);
 
/*            Page.ClientScript.RegisterStartupScript(this.GetType(), "ShowText", script, true);
            Page.ClientScript.RegisterStartupScript(this.GetType(), "ShowText" + this.ClientID,
                string.Format("ShowText('{0}', '{1}', {2});", lblStatus.ClientID, text, seconds), true);
 */
        }
    }
}
