﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="CategoryList.ascx.cs" Inherits="Store_Blocks_CategoryList" %>
<%@ Register tagprefix="dsc" tagname="CategoryRow" src="CategoryRow.ascx" %>
<%@ Register tagprefix="dsc" tagname="NumberTextBox" src="~/Controls/NumberTextBox.ascx" %>
<%@ Register tagprefix="dsc" tagname="BlockEditor" src="~/Controls/Blocks/BlockEditor.ascx" %>

<dsc:BlockEditor id="editor" runat="server" edittitle="Edit HTML Box" onsave="editor_Save" editheaderenabled="true" >
    <EditTemplate>
        <asp:ValidationSummary id="vdsEdit" runat="server" showsummary="true" />
        <table>
            <tr>
                <td>Show Product Count:</td>
                <td></td>
                <td><asp:CheckBox id="chkShowProductCount" runat="server" /> </td>
            </tr>
            <tr>
                <td>Category Image Width:</td>
                <td>*</td>
                <td><dsc:NumberTextBox id="ntbImageWidth" runat="server" minimumvalue="0" maximumvalue="500"
                        required="true" name="Category Image Width" /> (See to 0 to disable showing category images)</td>
            </tr>
            <tr>
                <td>Category Image Height:</td>
                <td>*</td>
                <td><dsc:NumberTextBox id="ntbImageHeight" runat="server" minimumvalue="0" maximumvalue="500"
                        required="true" name="Category Image Height" /> (See to 0 to disable showing category images)</td>
            </tr>
        </table>
    </EditTemplate>
</dsc:BlockEditor>
<asp:Panel id="pnlBlockContent" runat="server">
    <asp:Repeater id="rptCategories" runat="server">
        <ItemTemplate>
            <div class="browsebox">
                <dsc:CategoryRow id="CategoryRow1" runat="server" category='<%# Container.DataItem %>' showproductcount='<%# categoryListData.ShowProductCount %>'
                    imagewidth='<%# categoryListData.ImageWidth %>' imageheight='<%# categoryListData.ImageHeight %>' />
                <asp:Repeater id="rptSubCategories" runat="server" datasource='<%# Eval("SubCategories") %>' visible='<%# (int)Eval("ShowLevels") > 1 %>' >
                    <ItemTemplate>
                        <div class="subcategory">
                            <dsc:CategoryRow id="CategoryRow2" runat="server" category='<%# Container.DataItem %>' showproductcount='<%# categoryListData.ShowProductCount %>'
                                imagewidth='<%# categoryListData.ImageWidth %>' imageheight='<%# categoryListData.ImageHeight %>' />
                        </div>   
                    </ItemTemplate>
                </asp:Repeater>
            </div>
        </ItemTemplate>
    </asp:Repeater>
    <asp:Panel cssclass="browsebox" id="pnlNarrowByPrice" runat="server" visible="false">
        <div class="browseboxHeader">Narrow by Price</div>
        <asp:Repeater id="rptPriceRange" runat="server">
            <ItemTemplate>
                <div class="subcategory">
                    <a class="bar" href="<%# categoryUrl %>?pricefrom=<%# Eval("PriceFrom")%>&priceto=<%# Eval("PriceTo")%>">
                        <span><%# Container.DataItem.ToString()%><span id="Span1" runat="server" class="ProductCount"
                            visible='<%# categoryListData.ShowProductCount %>'>(<%# Eval("Count") %>)</span></span>
                    </a>
                </div>
            </ItemTemplate>
        </asp:Repeater>
    </asp:Panel>
    <asp:Panel cssclass="browsebox" id="pnlNarrowByManufacturer" runat="server" visible="false">
        <div class="browseboxHeader">Narrow by Brand</div>
        <asp:Repeater id="rptManufacturer" runat="server">
            <ItemTemplate>
                <div class="subcategory">
                    <a class="bar" href="<%# categoryUrl %>?manufacturer=<%# Eval("Manufacturer.Name")%>">
                        <span><%# Eval("Manufacturer.Name")%><span id="Span2" runat="server" class="ProductCount"
                            visible='<%# categoryListData.ShowProductCount %>'>(<%# Eval("Count") %>)</span></span>
                    </a>
                </div>
            </ItemTemplate>
        </asp:Repeater>
    </asp:Panel>

    <asp:Repeater id="rptRootCategoryies" runat="server">
        <ItemTemplate>
            <div class="browsebox">
                <dsc:CategoryRow id="CategoryRow3" runat="server" category='<%# Container.DataItem %>' showproductcount='<%# categoryListData.ShowProductCount %>'
                    imagewidth='<%# categoryListData.ImageWidth %>' imageheight='<%# categoryListData.ImageHeight %>' />
                <asp:Repeater id="rptSubCategories" runat="server" datasource='<%# Eval("SubCategories") %>' visible='<%# (int)Eval("ShowLevels") > 1 %>' >
                    <ItemTemplate>
                        <div class="subcategory">
                            <dsc:CategoryRow id="CategoryRow4" runat="server" category='<%# Container.DataItem %>' showproductcount='<%# categoryListData.ShowProductCount %>'
                                imagewidth='<%# categoryListData.ImageWidth %>' imageheight='<%# categoryListData.ImageHeight %>' />
                        </div>
                    </ItemTemplate>
                </asp:Repeater>
            </div>
        </ItemTemplate>
    </asp:Repeater>
</asp:Panel>
