﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="Cart.ascx.cs" Inherits="Store_Cart" %>
<%@ Register tagprefix="dsc" tagname="NumberTextBox" src="~/Controls/NumberTextBox.ascx" %>
<%@ Import namespace="DotShoppingCart.OpenSource.Core" %>

<table width="100%">
    <tr>
        <td style="width:95%;">
            <div style="margin-top:10px; margin-bottom:10px;">
                <asp:Label id="lblNotice" runat="server" skinid="NotEnoughStock" visible="false" >
                    Your shopping cart has been changed because some of items are out of stock. Please check following for more detail.<br />
                    If you wish to check out, please click button "Procced to Checkout".
                </asp:Label>
            </div>
            <div style="margin-top:4px; margin-bottom:4px;">
                <asp:Button id="btnUpdate" runat="server" text="Update Qtys" onclick="btnUpdate_Click"/>
                <asp:Button id="btnDelete" runat="server" text="Delete Selected" onclick="btnDelete_Click"/>
                <input type="button" value="Estimate Shipping" onclick='<%= string.Format("OpenNewPopupWindow(\"{0}\", 400, 400)", SiteNavigation.ShippingEstimatorPage) %>' />
            </div>
            <asp:GridView id="gvwCart" runat="server" datakeynames="CartItemId" autogeneratecolumns="false" width="100%"
                onrowdatabound="gvwCart_RowDataBound" >
                <EmptyDataTemplate>
                    You don't have any item in your shopping cart.
                </EmptyDataTemplate>
                <Columns>
                    <asp:TemplateField showheader="false">
                        <ItemTemplate>
                            <asp:CheckBox id="chkSelect" runat="server" visible='<%# (int)Eval("InstockQuantity") > 0 %>' />
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField headertext="Qty." itemstyle-width="80px">
                        <ItemTemplate>
                            <dsc:NumberTextBox id="ntbQuantity" runat="server" text='<%# Eval("InstockQuantity") %>' visible='<%# (int)Eval("InstockQuantity") > 0 %>' width="80px" 
                                minimumvalue="0" maximumvalue='<%# int.MaxValue %>' />
                            <div>
                                <asp:Label id="lblChangeQuantityNotice" runat="server" cssclass="success" visible='<%# ((int)Eval("InstockQuantity") > 0) && ((int)Eval("InstockQuantity") < (int)Eval("Quantity")) %>'>
                                    You selected <%# Eval("Quantity") %> but we only have <%# Eval("InstockQuantity") %> in stock.
                                </asp:Label>
                                <asp:Label id="lblOutofStockNotice" runat="server" cssclass="success" visible='<%# (int)Eval("InstockQuantity") == 0 %>'>
                                    This item is out of stock.
                                </asp:Label>
                            </div>
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField headertext="Shopping Cart Items">
                        <ItemTemplate>
                            <table>
                                <tr>
                                    <td>
                                        <a href="<%# SiteNavigation.GetRewriterUrl("Product", (string)Eval("Product.SKU")) %>">
                                            <img alt="<%# Eval("Product.ShortDescription") %>" src="<%# FileController.GetImageUrl((int?)Eval("ImageId"), productSummaryData.ImageWidth, productSummaryData.ImageHeight) %>" />
                                        </a>
                                     </td>
                                    <td>
                                        <div class="ProductSummaryText">
                                            <div>
                                                <a href="<%# SiteNavigation.GetRewriterUrl("Product", (string)Eval("Product.SKU")) %>"><span style="font-weight:bold"><%# Eval("Product.ProductName") %></span></a>
                                            </div>
                                            <div>
                                            </div>
                                            <div><%# Eval("Product.ShipEstimate.Estimate") %></div>
                                            <asp:Repeater id="rptAttributeSelections" runat="server" datasource='<%# Eval("AttributeSelections") %>'>
                                                <ItemTemplate>
                                                    <div>
                                                        <span style="font-weight:bold"><%# Eval("Attribute.Name") %></span> : <%# Eval("Value.Value") %>
                                                    </div>
                                                </ItemTemplate>
                                            </asp:Repeater>
                                        </div>
                                    </td>
                                </tr>
                            </table>
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField headertext="Price" itemstyle-width="80px">
                        <ItemTemplate>
                            <div><%# string.Format("{0:C}", Eval("UnitPrice"))%></div>
                            <div id="divSaveAmount" runat="server" visible="false"></div>
                            <div id="divSavePercentage" runat="server" visible="false"></div>
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField headertext="Total Price" itemstyle-width="80px" itemstyle-horizontalalign="right">
                        <ItemTemplate>
                            <%# string.Format("{0:C}", (decimal)Eval("TotalPrice"))%>
                        </ItemTemplate>
                    </asp:TemplateField>
                </Columns>
            </asp:GridView>
            <asp:Panel id="pnlSubTotal" runat="server" width="100%" >
                <div style="margin-top:10px; text-align:right;">
                    <b>Subtotal: <asp:Label id="lblSubTotal" runat="server" width="80px"></asp:Label></b>
                </div>
            </asp:Panel>
            <div style="margin-top:10px; text-align:right;">
                <b>Grand Total: <asp:Label id="lblGrandTotal" runat="server" width="80px"></asp:Label></b>
            </div>

        </td>
        <td>
            <asp:Panel id="pnlCheckout" runat="server">
                <asp:Panel id="pnlCreditCardAndPaypal" runat="server">
                    <div class="coreboxtop"></div>
                    <div class="coreboxbody">
                        <div style="font-weight:bold;"><asp:Label id="lblCheckout" runat="server">Ready To Order?</asp:Label></div>
                        <hr />
                        <div><asp:ImageButton id="btnCheckout" runat="server" skinid="Checkout" onclick="btnCheckout_Click" /></div>
                    </div>
                    <div class="coreboxbottom"></div>
                </asp:Panel>
            </asp:Panel>
        </td>
    </tr>
</table>
