<%@ Control Language="C#" AutoEventWireup="true" CodeFile="CreditCardInput.ascx.cs" Inherits="Controls_CreditCardInput" %>
<%@ Import namespace="DotShoppingCart.OpenSource.Core" %>
<%@ Import namespace="DotShoppingCart.OpenSource.Core" %>

<table cellpadding="2">
    <asp:Panel id="pnlSaveAs" runat="server">
        <tr>
            <td class="FormSectionText">Save As:</td>
            <td class="sign"></td>
            <td class="FormSectionValue"><asp:textbox runat="server" id="txtSaveAs" width="200px"></asp:textbox></td>
        </tr>
    </asp:Panel>
    <tr>
        <td class="FormSectionText">Card Type</td>
        <td class="sign">*</td>
        <td class="FormSectionValue"><asp:ObjectDataSource id="odsCreditCardType" runat="server" typename="DotShoppingCart.OpenSource.Core.CreditCardType" selectmethod="GetAll">
            </asp:ObjectDataSource>
        <asp:DropDownList id="ddlCardType" runat="server" datasourceid="odsCreditCardType" datatextfield="Type" datavaluefield="CreditCardTypeId"></asp:DropDownList></td>
    </tr>
    <tr>
        <td class="FormSectionText">Credit Card No.</td>
        <td class="sign">*</td>
        <td class="FormSectionValue"><asp:TextBox runat="server" id="txtCardNumber" width="200px"></asp:TextBox>
            <asp:RequiredFieldValidator id="requiredFieldValidatorCardNumber" runat="server" controltovalidate="txtCardNumber" 
                errormessage="Credit Card No. is required">*</asp:RequiredFieldValidator>
            <asp:CustomValidator id="cvdCreditCardNumber" runat="server" controltovalidate="txtCardNumber" errormessage="Credit card No. is invalid." text="*" 
                 onservervalidate="cvdCreditCardNumber_ServerValidate"></asp:CustomValidator> 
        </td>
    </tr>
    <tr>
        <td class="FormSectionText">Cardholder's Name</td>
        <td class="sign">*</td>
        <td class="FormSectionValue"><asp:TextBox runat="server" id="txtCardholderName" width="200px"></asp:TextBox>
            <asp:RequiredFieldValidator id="requiredFieldValidatorCardholderName" runat="server" controltovalidate="txtCardholderName" 
                errormessage="Cardholder's Name is required">*</asp:RequiredFieldValidator>
        </td>
    </tr>
    <tr>
        <td class="FormSectionText">Expiration Date</td>
        <td class="sign">*</td>
        <td class="FormSectionValue">
            <asp:ObjectDataSource id="odsMonth" runat="server" typename="DotShoppingCart.OpenSource.Core.Month" selectmethod="GetMonthsInYear">
            </asp:ObjectDataSource>
            <asp:DropDownList id="ddlExpireMonth" runat="server" datasourceid="odsMonth" datatextfield="TwoDigitals" datavaluefield="TwoDigitals">
            </asp:DropDownList>&nbsp;
            <asp:ObjectDataSource id="odsYear" runat="server" typename="DotShoppingCart.OpenSource.Core.Year" selectmethod="GetNextYears">
            </asp:ObjectDataSource>
            <asp:DropDownList id="ddlExpireYear" runat="server" datasourceid="odsYear" datatextfield="YearIn4Digials" datavaluefield="YearIn4Digials">
            </asp:DropDownList>
            <asp:CustomValidator id="cvdExpiration" runat="server" errormessage="Expiration Date should be later than today." text="*" 
                 onservervalidate="cvdExpiration_ServerValidate"></asp:CustomValidator> 
        </td>
    </tr>
    <tr>
        <td class="FormSectionText">CVV2 Code</td>
        <td class="sign">*</td>
        <td class="FormSectionValue"><asp:TextBox runat="server" id="txtCVV2" width="50px" ></asp:TextBox>
            <asp:RequiredFieldValidator id="requiredFieldValidatorCVV2" runat="server" controltovalidate="txtCVV2" 
                errormessage="CVV2 Code is required">*</asp:RequiredFieldValidator>
            <asp:RegularExpressionValidator id="revCVV2" runat="server" controltovalidate="txtCVV2" errormessage="CVV2 Code must be 3 or 4 digitals." text="*"
                validationexpression="\d{3,4}"></asp:RegularExpressionValidator>
            <a href="javascript:OpenNewPopupWindow('<%= SiteNavigation.CvvHelpPage %>', 800, 700)">What's this?</a>
        </td>
    </tr>
    <tr>
        <td class="FormSectionText">Card Issuer Telephone</td>
        <td class="sign">*</td>
        <td class="FormSectionValue"><asp:TextBox runat="server" id="txtTelephone" width="200px"></asp:TextBox>
            <asp:RequiredFieldValidator id="requiredFieldValidatorTelephone" runat="server" controltovalidate="txtTelephone" 
                errormessage="Card Issuer Telephone is required">*</asp:RequiredFieldValidator>
            <div>(800 number on back of card. Please provider for fast verification)</div>
        </td>
    </tr>
</table>

