﻿//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

using DotShoppingCart.OpenSource.Core;

public partial class Store_ItemAddedToCart : BlockUserControl {
    protected void Page_Load(object sender, EventArgs e) {
        if (!IsPostBack) {
            int cartItemId = Utils.GetIntParameter("cartitemid");
            int quantity = Utils.GetIntParameter("quantity");
            CartItem cartItem = CartItem.Load(cartItemId);
            if (null == cartItem) {
                lblNotEnoughStock.Visible = true;
                lblNotEnoughStock.Text = string.Format("Your item didn't get added to the cart. Please try it again.");
                btnContinueShopping.Visible = ProductInCart1.Visible = false;
            } else {
                ProductInCart1.LastAddedCartItem = cartItem;
                btnContinueShopping.Attributes.Add("onclick", string.Format("window.location.href='{0}'",
                    null == Request.UrlReferrer ? SiteNavigation.GetRewriterUrl("Product", cartItem.Product.SKU) : Request.UrlReferrer.AbsoluteUri));
                int inStockQuantity = null == cartItem ? 0 : cartItem.Quantity;
                if (inStockQuantity < quantity) {
                    lblNotEnoughStock.Visible = true;
                    lblNotEnoughStock.Text = string.Format("{1} following items have been added to your shopping cart. You selected {0} but we only have {1} in stock. ",
                        quantity, inStockQuantity);
                }
            }
        }
    }
}
