<%@ Control Language="C#" AutoEventWireup="true" CodeFile="MiniCart.ascx.cs" Inherits="Controls_MiniCart" %>
<%@ Import namespace="DotShoppingCart.OpenSource.Core" %>

<div class="coreboxtop"></div>
<div class="coreboxbody">
    <div><asp:ImageButton id="btnCheckoutTop" runat="server" skinid="Checkout" /></div>

    <table>
        <asp:Repeater ID="rptMiniCart" runat="server">
            <ItemTemplate>
                <tr>
                    <td>
                        <a href="<%# SiteNavigation.GetRewriterUrl("Product", (string)Eval("Product.SKU")) %>">
                            <img alt="<%# Eval("Product.ShortDescription") %>" 
                                src="<%# FileController.GetImageUrl((int?)Eval("ImageId"), 60, 40) %>" />
                        </a>
                    </td>
                </tr>
                <tr>
                    <td>
                        <a href="<%# SiteNavigation.GetRewriterUrl("Product", (string)Eval("Product.SKU")) %>">
                            <%# Eval("Product.ProductName") %>
                        </a>
                        <asp:Repeater id="rptAttributeSelections" runat="server" datasource='<%# Eval("AttributeSelections") %>'>
                            <ItemTemplate>
                                <div>
                                    <%# Eval("Attribute.Name") %> : <%# Eval("Value.Value") %>
                                </div>
                            </ItemTemplate>
                        </asp:Repeater>
                        <div>
                           <%# string.Format("{0:C}", Eval("UnitPrice"))%> 
                           - quantity: <%# Eval("Quantity") %>
                        </div>
                    </td>
                </tr>
            </ItemTemplate>
        </asp:Repeater>
    </table>

    <hr />
    <div style="margin-bottom:5px;">
        <b>Subtotal = <asp:Label id="lblSubTotal" runat="server"></asp:Label></b>
    </div>
    
    <div><asp:ImageButton id="btnCheckout" runat="server" skinid="Checkout" /></div>
</div>
<div class="coreboxbottom"></div>


