<%@ Control Language="C#" AutoEventWireup="true" CodeFile="OrderDetail.ascx.cs" Inherits="Controls_OrderDetail" %>
<%@ Register tagprefix="dsc" tagname="AddressDisplay" src="~/Controls/AddressDisplay.ascx" %>
<%@ Register tagprefix="dsc" tagname="PaymentSummary" src="PaymentSummary.ascx" %>
<%@ Register tagprefix="dsc" tagname="OrderItems" src="OrderItems.ascx" %>
<%@ Register tagprefix="dsc" tagname="OrderTotal" src="OrderTotal.ascx" %>

<table>
    <colgroup>
        <col style="font-weight:bold; font-size:small;" />
    </colgroup>
    <tr>
        <td>Order Number:</td>
        <td><asp:Label id="lblOrderNumber" runat="server"></asp:Label></td>
    </tr>
    <tr>
        <td>Order Status:</td>
        <td>
            <asp:Label id="lblOrderStatus" runat="server"></asp:Label>
            <asp:Repeater id="rptShipTracks" runat="server">
                <ItemTemplate>
                    <%# Eval("Carrier.Name")%> Tracking#:&nbsp;<a href='<%# Eval("TrackingUrl")%>' target="_blank"><%# Eval("TrackingNumber")%></a>&nbsp;&nbsp;
                </ItemTemplate>
            </asp:Repeater>
        </td>
    </tr>
    <tr>
        <td>Order Placed:</td>
        <td><asp:Label id="lblOrderDate" runat="server"></asp:Label></td>
    </tr>
</table>

<table width="100%" cellspacing="0">
    <tr>
        <td>
            <div class="sectionheader">Shipping Address:</div>
            <dsc:AddressDisplay id ="adShippingAddress" runat="server"></dsc:AddressDisplay>
        </td>
        <td>
            <div class="sectionheader">Payment Method:</div>
            <dsc:PaymentSummary id="paymentSummary" runat="server"></dsc:PaymentSummary>
        </td>
        <td>
            <div class="sectionheader">Billing Address:</div>
            <dsc:AddressDisplay id ="adBillingAddress" runat="server"></dsc:AddressDisplay>
        </td>
    </tr>
    <tr>
        <td>
            <div class="sectionheader">Shipping Method:</div>
            <asp:Label id="lblShippingMethod" runat="server"></asp:Label>
        </td>
        <td colspan="2">
            <div class="sectionheader">&nbsp;</div>
        </td>
    </tr>
</table>
<div class="sectionheader">Items Ordered:</div>
<div style="height:10px;"></div>
<dsc:OrderItems id="orderItems" runat="server"></dsc:OrderItems>
<dsc:OrderTotal id="orderTotal" runat="server"></dsc:OrderTotal>
