//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Data;
using System.Configuration;
using System.Collections.Generic;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.ComponentModel;

using DotShoppingCart.OpenSource.Core;

public partial class Controls_OrderItems : System.Web.UI.UserControl {
    private List<OrderItem> items;
    private bool enableProductImage = true, enablePrice = true;

    private bool sortByAsc {
        get { return null == ViewState["sortByAsc"] ? true : (bool)ViewState["sortByAsc"]; }
        set { ViewState["sortByAsc"] = value; }
    }

    public int OrderId {
        get { return (int)ViewState["orderId"]; }
        set { ViewState["orderId"] = value; }
    }

    public List<OrderItem> Items {
        get { return items; }
        set { items = value; }
    }

    public bool EnableProductImage {
        get { return enableProductImage; }
        set { enableProductImage = value; }
    }

    public bool EnablePrice {
        get { return enablePrice; }
        set { enablePrice = value; }
    }

    protected void Page_Load(object sender, EventArgs e) {
        if ((!IsPostBack) && (null != items)) {
            gvwOrderItems.Columns[0].Visible = enableProductImage;
            gvwOrderItems.Columns[3].Visible = gvwOrderItems.Columns[5].Visible = enablePrice;
            gvwOrderItems.DataSource = items;
            gvwOrderItems.DataBind();
        }
    }

    protected void gvwOrderItems_Sorting(object sender, GridViewSortEventArgs e) {
        if (null == items) {
            Order order = Order.Get(OrderId);
            items = order.OrderItems;
        }
        SortableBindingList<OrderItem> sortableItems = new SortableBindingList<OrderItem>(items);
        PropertyDescriptorCollection properties = TypeDescriptor.GetProperties(typeof(OrderItem));
        ((IBindingList)sortableItems).ApplySort(properties.Find(e.SortExpression, true),
            sortByAsc ? ListSortDirection.Ascending : ListSortDirection.Descending);
        sortByAsc = !sortByAsc;
        gvwOrderItems.DataSource = sortableItems;
        gvwOrderItems.DataBind();
    }
}
