<%@ Control Language="C#" AutoEventWireup="true" CodeFile="OrderSummary.ascx.cs" Inherits="Controls_OrderSummary" %>
<%@ Import namespace="DotShoppingCart.OpenSource.Core" %>

<asp:GridView id="gvwOrderSummary" runat="server" datakeynames="CartItemId" autogeneratecolumns="false" width="100%" headerstyle-horizontalalign="left">
    <Columns>
        <asp:TemplateField headertext="Product Description">
            <ItemTemplate>
                <table>
                    <tr>
                        <td>
                            <div>
                                <div>
                                    <a href="<%# SiteNavigation.GetRewriterUrl("Product", (string)Eval("Product.SKU")) %>"><%# Eval("Product.ProductName") %></a>
                                </div>
                                <asp:Repeater id="rptAttributeSelections" runat="server" datasource='<%# Eval("AttributeSelections") %>'>
                                    <ItemTemplate>
                                        <div>
                                            <span style="font-weight:bold"><%# Eval("Attribute.Name") %></span> : <%# Eval("Value.Value") %>
                                        </div>
                                    </ItemTemplate>
                                </asp:Repeater>
                            </div>
                        </td>
                    </tr>
                </table>
            </ItemTemplate>
        </asp:TemplateField>
        <asp:TemplateField headertext="SKU" itemstyle-width="100px">
            <ItemTemplate>
                <div><%# Eval("Product.SKU")%></div>
            </ItemTemplate>
        </asp:TemplateField>
        <asp:TemplateField headertext="Unit Price" itemstyle-width="100px">
            <ItemTemplate>
                <div><%# Eval("UnitPrice", "{0:C}")%></div>
            </ItemTemplate>
        </asp:TemplateField>
        <asp:BoundField datafield="Quantity" headertext="Qty." itemstyle-width="50px" />
        <asp:BoundField datafield="TotalPrice" headertext="Total Price" dataformatstring="{0:C}" htmlencode="false" itemstyle-width="100px" />
    </Columns>
</asp:GridView>