<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ProductAction.ascx.cs" Inherits="Controls_ProductAction" %>
<%@ Import namespace="DotShoppingCart.OpenSource.Core" %>

<div class="coreboxtop"></div>
<div class="coreboxbody">
    <asp:Panel id="pnlSelectionNotice" runat="server" visible="false">
        <div id="dvBuyBoxHeader" runat="server" style="font-weight:bold;"></div>
        <div id="dvNotice">(Choose from options to the left)</div>
        <asp:Repeater id="rptSelections" runat="server">
            <ItemTemplate>
                <div id="dvSelection_<%#Eval("Attribute.Name")%>" style="display:none;">
                    <asp:Label id="lblAttributeTitle" runat="server" font-bold="true"><%#Eval("Attribute.Name")%>: </asp:Label>
                    <span id="spSelectionValue_<%#Eval("Attribute.Name")%>"></span>
                </div>
            </ItemTemplate>
        </asp:Repeater>
        <hr />
    </asp:Panel>

    <div id="dvQuantity" style="font-weight:bold; margin-bottom:5px;">Quantity: 
        <asp:DropDownList id="ddlQuantity" runat="server" width="40px" datatextfield="Name" datavaluefield="Value">
        </asp:DropDownList>
    </div>
    <div><asp:ImageButton id="btnAddToCart" runat="server" skinid="addToCart" onclick="btnAddToCart_Click" imagealign="AbsMiddle" /></div>
</div>
<div class="coreboxbottom"></div>

<script type="text/javascript" language="javascript">
    function UpdateSelectionInAddButton(title, value) {
        var selectionAttributeValue = document.getElementById('spSelectionValue_' + title);
        if (selectionAttributeValue) {
            var unselectValue = '<%= Constant.UI.SelectAttributeShortFormat %>';
            if (0 == value.indexOf(unselectValue)) {
                value = '';
            }

            selectionAttributeValue.innerHTML = value;
            var selectionPanel = document.getElementById('dvSelection_' + title);
            selectionPanel.style.display = value.length == 0 ? 'none' : 'block';
            
            ResetAddToCartButton();
        }
    }
    
    function ResetAddToCartButton() {
        var addToCart = document.getElementById('<%= btnAddToCart.ClientID %>');
        var ddlQuantity = document.getElementById('<%= ddlQuantity.ClientID %>');
        var enable = true;
        var requiredSelections = new Array(<%= GetRequiredSelections() %>);
        for (var index in requiredSelections)
        {
            var requiredId = requiredSelections[index];
            var requiredSelection = document.getElementById(requiredId);
            if (requiredSelection.innerHTML.length == 0)
            {
                enable = false;
                break;
            }
        }
        ddlQuantity.disabled = !enable;
        addToCart.disabled = !enable;
        addToCart.alt = enable ? "" : "To Add to Shopping Cart, choose from options to the left";
    }
    ResetAddToCartButton();
</script>