//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Data;
using System.Configuration;
using System.Collections.Generic;
using System.Text;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using DotShoppingCart.OpenSource.Core;

public delegate void ProductActionClickEventHandler(object sender, EventArgs e);

public partial class Controls_ProductAction : System.Web.UI.UserControl {
    private int quantity = 0;
    protected Product product;
    public event ProductActionClickEventHandler AddingToCart = null;

    public Product Product {
        get { return product; }
        set { product = value; }
    }
    public int Quantity {
        get { return int.Parse(ddlQuantity.SelectedValue); }
        set { Quantity = value; }
    }
    protected void Page_Load(object sender, EventArgs e) {
    }


    protected void Page_PreRender(object sender, EventArgs e) {
        if (null != product.ProductAttributes) {
            pnlSelectionNotice.Visible = true;
            List<string> attributeNames = new List<string>();
            foreach (ProductAttribute pa in product.ProductAttributes) {
                attributeNames.Add(pa.Attribute.Name);
            }
            dvBuyBoxHeader.InnerHtml = string.Format("To buy, select {0}", string.Join(",", attributeNames.ToArray()));
            rptSelections.DataSource = product.ProductAttributes;
            rptSelections.DataBind();
            ddlQuantity.DataSource = Utils.GetNumbers(1, 30);
            ddlQuantity.DataBind();
            if (quantity > 0) {
                ddlQuantity.SelectedIndex = quantity - 1;
            }
        }
    }

    protected string GetRequiredSelections() {
        StringBuilder sb = new StringBuilder();
        foreach (ProductAttribute pa in product.ProductAttributes) {
            if (pa.Attribute.IsRequired) {
                if (sb.Length > 0)
                    sb.Append(", ");
                sb.Append("'spSelectionValue_").Append(pa.Attribute.Name).Append("'");
            }
        }
        return sb.ToString();
    }

    protected void btnAddToCart_Click(object sender, EventArgs e) {
        OnAddingToCart(e);
    }

    protected void OnAddingToCart(EventArgs e) {
        if (null != AddingToCart) {
            AddingToCart(this, e);
        }
    }
}
