//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.IO;
using System.Data;
using System.Configuration;
using System.Collections.Generic;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using DotShoppingCart.OpenSource.Core;

public partial class Controls_ProductDescriptor : System.Web.UI.UserControl {
    public List<ProductDescriptor> Descriptors {
        get { return (List<ProductDescriptor>) ViewState["descriptors"]; }
        set { ViewState["descriptors"] = value; }
    }

    protected void Page_Load(object sender, EventArgs e) {
        EnableViewState = WebUtils.IsPageEditorEnable();
    }

    protected void Page_PreRender(object sender, EventArgs e) {
        rptDescriptors.DataSource = Descriptors;
        rptDescriptors.DataBind();
    }

    protected void rptDescriptors_ItemDataBound(object sender, RepeaterItemEventArgs e) {
        ProductDescriptor descriptor = (ProductDescriptor)e.Item.DataItem;
        StringWriter sw = new StringWriter();
        HtmlTextWriter writer = new HtmlTextWriter(sw);
        if (descriptor.IsBulletedList) {
            writer.RenderBeginTag(HtmlTextWriterTag.Ul);
            foreach (string listItem in descriptor.Descriptor.Split('\r', '\n')) {
                if (!String.IsNullOrEmpty(listItem)) {
                    writer.RenderBeginTag(HtmlTextWriterTag.Li);
                    writer.Write(listItem);
                    writer.RenderEndTag();
                }
            }
            writer.RenderEndTag();
        } else {
            writer.WriteLine(descriptor.Descriptor.Replace("\n", "<br />"));
        }
        Literal litDescriptor = (Literal)e.Item.FindControl("litDescriptor");
        litDescriptor.Text = sw.ToString();
    }
}
