//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Data;
using System.Configuration;
using System.Collections.Generic;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using DotShoppingCart.OpenSource.Core;

public partial class ProductImages : DSCPage {
    protected Product product;
    protected int? imageId;

    protected void Page_Load(object sender, EventArgs e) {
        if (!IsPostBack) {
            string productSku = Utils.GetParameter("n");
            imageId = Utils.GetIntParameter("imageId", 0);
            string subset = Utils.GetParameter("subset", null); 

            product = Product.Load(productSku);
            Page.Title = string.Format("Product Image: {0}", productSku);

            bool showStock = StoreConfigurationSection.GetSection().ShowStock;
            List<ProductImage> images;
            switch (subset) {
                case "product":
                    images = product.GetProductImages();
                    if (0 == imageId)
                        imageId = product.DefaultImageId;
                    break;
                case "attribute":
                    images = product.GetProductAttributeImages(showStock);
                    if (0 == imageId) {
                        imageId = null;
                        if ((null != images) && (images.Count > 0))
                            imageId = images[0].ImageId;
                    }
                    break;
                default:
                    images = product.GetProductAllImages(showStock);
                    if (0 == imageId)
                        imageId = product.DefaultImageId;
                    break;
            }

            rptThumbnailPictures.DataSource = images;
            rptThumbnailPictures.DataBind();
        }
        
    }
}
