//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using DotShoppingCart.OpenSource.Core;

public partial class Controls_ProductInCart : System.Web.UI.UserControl {
    private CartItem lastAdded;

    public CartItem LastAddedCartItem {
        get { return lastAdded; }
        set { lastAdded = value; }
    }

    protected ProductSummaryData productSummaryData;

    protected void Page_PreRender(object sender, EventArgs e) {
        if (null != lastAdded) {
            Block block = Block.GetByName(Constant.UI.ProductSummaryBlockName, ProductSummaryData.DefaultBlock);
            productSummaryData = Utils.FromXml<ProductSummaryData>(block.Data.ToString());
            rptAttributeSelections.DataSource = lastAdded.AttributeSelections;
            this.DataBind();
            if (lastAdded.Product.SaveAmount > 0) {
                divSaveAmount.InnerHtml = string.Format("Your Save<br />{0:C}", lastAdded.Product.SaveAmount);
                divSaveAmount.Visible = true;
                divSavePercentage.InnerHtml = string.Format("({0:0%})", lastAdded.Product.SavePercentage);
                divSavePercentage.Visible = true;
            }
        }
    }
}
