<%@ Control Language="C#" AutoEventWireup="true" CodeFile="SelectCreditcardPaymentMethod.ascx.cs" Inherits="Controls_SelectCreditcardPaymentMethod" %>
<%@ Register tagprefix="dsc" tagname="CreditCardInput" src="CreditCardInput.ascx" %>
<%@ Register tagprefix="dsc" tagname="AddressInput" src="~/Controls/AddressInput.ascx" %>
<%@ Import namespace="DotShoppingCart.OpenSource.Core" %>

<table>
    <asp:Panel id="pnlChooseCard" runat="server" visible="false">
        <tr>
            <td class="FormSectionText">Choose Card:</td>
            <td class="sign"></td>
            <td class="FormSectionValue">
                <asp:DropDownList id="ddlCreditCards" runat="server" width="200px" onselectedindexchanged="ddlCreditCards_SelectedIndexChanged"
                    datatextfield="SaveAs" datavaluefield="CreditCardId" autopostback="true" appenddatabounditems="true">
                    <asp:ListItem text="New Card" value="0" />
                </asp:DropDownList>
                <asp:UpdateProgress id="upgChangeCard" runat="server" associatedupdatepanelid="updChangeCard">
                    <ProgressTemplate>
                        <img src="<%=FileController.GetFileUrl("spinner.gif")%>" style="vertical-align:middle;" alt=""/>
                    </ProgressTemplate>
                </asp:UpdateProgress>
            </td>
        </tr>
    </asp:Panel>
</table>
<asp:UpdatePanel id="updChangeCard" runat="server" updatemode="Conditional">
    <Triggers>
        <asp:AsyncPostBackTrigger controlid="ddlCreditCards" eventname="SelectedIndexChanged" />
    </Triggers>
    <ContentTemplate>
        <dsc:CreditCardInput id="creditCardInput" runat="server" showsaveas="false" />
    </ContentTemplate>
</asp:UpdatePanel>
<div style="margin-left:30px;">
    <input type="checkbox" id="chkCopyAddress" onclick="javascript:CopyAddress();" title="Click to copy shipping address to billing address" />
    My Shipping address is also my billing address
</div>
<dsc:AddressInput id="adiBilling" runat="server" />

<script type="text/javascript">
    Sys.WebForms.PageRequestManager.getInstance().add_beginRequest(function (sender, args) { 
        if (args.get_postBackElement().id == '<%= ddlCreditCards.ClientID %>') { 
            $find('<%= upgChangeCard.ClientID %>').get_element().style.display = 'block'; 
        } 
    });

    function CopyAddress() {
        if ($get('chkCopyAddress').checked) {
            var items = new Array (
                "txtFirstName",
                "txtLastName",
                "txtCompanyName",
                "txtAddress",
                "txtAddress2",
                "txtCity",
                "txtState",
                "txtZipCode",
                "telPhone_txtTelephone",
                "telPhone_txtPhoneExt"
            );
            var allInputs = document.getElementsByTagName("input");
            for (var i = 0; i < items.length; i++) {
                var item = items[i];
                var shippingInput = Find(allInputs, 'Shipping_' + item);
                var billingInput = Find(allInputs, 'Billing_' + item);
                billingInput.value = shippingInput.value;
            }
            var allSelects = document.getElementsByTagName("select");
            var shippingCountry = Find(allSelects, "Shipping_ddlCountry");
            var billingCountry = Find(allSelects, "Billing_ddlCountry");
            billingCountry.selectedIndex = shippingCountry.selectedIndex
        }
    }
    function Find(allInputs, matching) {
        for (var j = 0; j < allInputs.length; j++) { 
            var input = allInputs[j];
            if (input.id.match(matching)) {
                return input;
            }
        }
        return undefined;
    }

</script>