//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Data;
using System.Configuration;
using System.Collections.Generic;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using DotShoppingCart.OpenSource.Core;
using DSC = DotShoppingCart.OpenSource.Core;
using DotShoppingCart.OpenSource.Payment;

public partial class Controls_SelectCreditcardPaymentMethod : ValidatableUserControl {
    public override string ValidationGroup {
        set {
            creditCardInput.ValidationGroup = adiBilling.ValidationGroup =
                base.ValidationGroup = value;
        }
    }

    public CreditCard EnteredCreditCard {
        get { return creditCardInput.CreditCard; }
    }

    public Address BillingAddress {
        get { return adiBilling.EnteredAddress; }
    }

    protected void Page_Load(object sender, EventArgs e) {
        if (!IsPostBack) {
            if (Page.User.Identity.IsAuthenticated) {
                pnlChooseCard.Visible = true;
                creditCardInput.ShowSaveAs = true; 
                DSC.User user = DSC.User.GetUser(Page.User.Identity.Name);
                adiBilling.InitialAddressToDisplay = user.Address;
                List<CreditCard> creditCards = CreditCard.Get();
                if ((null != creditCards) && (creditCards.Count > 0)) {
                    PopulateEmptySaveAs(creditCards);
                    ddlCreditCards.DataSource = creditCards;
                    ddlCreditCards.DataBind();
                    ddlCreditCards.SelectedIndex = 1;
                    creditCardInput.CreditCard = creditCards[0];
                    creditCardInput.DataBind();
                }
            }
        }
    }

    private void PopulateEmptySaveAs(IList<CreditCard> creditCards) {
        int i = 1;
        foreach (CreditCard cc in creditCards) {
            if (string.IsNullOrEmpty(cc.SaveAs))
                cc.SaveAs = string.Format("Card {0}", i++);
        }
    }

    protected void ddlCreditCards_SelectedIndexChanged(object sender, EventArgs e) {
        int creditCardId = int.Parse(ddlCreditCards.SelectedValue);
        if (0 == creditCardId) { //New Card
            creditCardInput.SaveAs = "";
            creditCardInput.Clear();
        } else {
            creditCardInput.SaveAs = ddlCreditCards.SelectedItem.Text;
            creditCardInput.CreditCard = CreditCard.Get(creditCardId);
            creditCardInput.DataBind();
        }
        updChangeCard.Update();
    }
}
