//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Data;
using System.Configuration;
using System.Collections.Generic;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using DotShoppingCart.OpenSource.Core;

public partial class site : DSCMasterPage {
    public override bool LeftColumnVisible {
        get { return tdLeft.Visible; }
        set { tdLeft.Visible = value; }
    }

    public override bool RightColumnVisible {
        get { return tdRight.Visible; }
        set { tdRight.Visible = value; }
    }

    protected override void OnInit(EventArgs e) {
        string cartid = Request.QueryString["cartid"];
        if (!string.IsNullOrEmpty(cartid)) {
            //migrate the cart
            Cart.Migrate(cartid, Utils.GetUserName());
        }

        base.OnInit(e);
    }

    protected void Page_Load(object sender, EventArgs e) {
        WebUtils.IncludeJS(this.Page, SiteNavigation.CommonJSFile);
        lnkIcon.Href = FileController.GetFileUrl("favicon.ico");
        tagDescription.Content = SiteConfigurationSection.GetSection().MetaTagDescription;
        tagKeywords.Content = SiteConfigurationSection.GetSection().MetaTagKeywords;
        litExtraTags.Text = SiteConfigurationSection.GetSection().ExtraMetaTags;

        Block mastBlockTop = Block.GetByName("MasterTop");
        masterContainerTop.BlockId = mastBlockTop.BlockId;
        masterContainerTop.Data = mastBlockTop.Data;

        Block mastBlockBottom = Block.GetByName("MasterBottom");
        masterContainerBottom.BlockId = mastBlockBottom.BlockId;
        masterContainerBottom.Data = mastBlockBottom.Data;

        Block mastBlockLeft = Block.GetByName("MasterLeft");
        masterContainerLeft.BlockId = mastBlockLeft.BlockId;
        masterContainerLeft.Data = mastBlockLeft.Data;

        Block mastBlockRight = Block.GetByName("MasterRight");
        masterContainerRight.BlockId = mastBlockRight.BlockId;
        masterContainerRight.Data = mastBlockRight.Data;
    }

    protected void Page_PreRender(object sender, EventArgs e) {
        const string columnWidthKey = "Column Width";
        foreach (KeyValuePair<string, string> v in masterContainerLeft.Variables) {
            if ((v.Key == columnWidthKey) &&
                (!string.IsNullOrEmpty(v.Value)))
                tdLeft.Width = v.Value;
        }

        foreach (KeyValuePair<string, string> v in masterContainerRight.Variables) {
            if ((v.Key == columnWidthKey) &&
                (!string.IsNullOrEmpty(v.Value)))
                tdRight.Width = v.Value;
        }
    }

    void Page_Init(object sender, EventArgs e) {
        Page.Title = SiteConfigurationSection.GetSection().Name + (null != SiteMap.CurrentNode ? " - " + SiteMap.CurrentNode.Title : "");
    }
}
